*COMDECK HISTORY ****************** 
 *                * 
 *  PL1E HISTORY  * 
 *                * 
 ****************** 
  
  
 RELEASE  VERSION 1.0 OF THE CYBER LOADER WAS BASED ON THE BASIC LOADER 
          OF SCOPE 3.4.  EXTENSIVE MODIFICATIONS ADDED THE ABILITY TO 
          GENERATE OVERLAYS, A TASK FORMERLY HANDLED BY A SEPARATE
          LOADER.  SEVERAL MODIFICATIONS WERE ALSO NECESSARY TO ALLOW 
          THE LOADER TO RUN UNDER NOS AND KRONOS.  MANY MINOR CHANGES 
          AND BUG FIXES WERE INCLUDED.  THE NAME OF THE (0,0) OVERLAY 
          WAS CHANGED FROM *LOAD* TO *LOADER* AND DECK NAMES WERE 
          CHANGED TO MATCH PROGRAM NAMES.  FINALLY, THE LOADER AND ITS
          COMPONENT COMMON DECKS WERE REFORMATTED AND RESEQUENCED.
  
          *LDRCNTL* IS A NEW PROGRAM, REPLACING THE *LIBRARY* PROGRAM.
          IT HANDLES *LIBRARY*, *MAP*, AND *REDUCE* CARDS THROUGH ITS 
          THREE ENTRY POINTS. 
  
 CP103E   THIS IDENT CONTAINS ALL CODE INTRODUCED INTO *LDRTEXT*, 
          *UCLOAD*, *TRAP* AND *TRAPPER* BY THE CYBER LOADER.  THESE
          ROUTINES WERE MOVED FROM PL1B OF SCOPE WITHOUT RESEQUENCING.
  
 SC41087  ADD CAPABILITY TO TRACK CMU INSTRUCTIONS. 
          ADD CORE IMAGE DUMPS TO THE TRACKS OF WE AND RE INSTRUCTIONS. 
          USE SYS ROUTINE INSTEAD OF PS INSTRUCTION . 
          ARS    74/12/16    TRAPPER
  
 SC41562  ALLOW TRAPPER TO USE INTERNALLY ALLOCATED BUFFER SPACE
          FOR ALL FILES AND TRAP TABLES.
          ARS    74/03/01    TRAP,TRAPPER 
  
 SC43436  IMPROVE TRACK FORMAT OF RE AND WE INSTRUCTIONS. 
          ARS    74/10/16    TRAPPER
  
 SC43908  FORMAT WHEN CONTROL WORD FOR COMMON BLOCK ADDRESSES.
          ARS    75/01/03    TRAPPER
  
L397     ***
L401     ***
 LDR0001  ADD COMMON DECKS COMCCIO AND COMCSYS TO PL1E.  REWRITE
          SEGRES TO INCORPORATE THE FOLLOWING 
          1. USE THE MONITOR FUNCTION XJR TO RESTORE REGISTERS TO 
          PREVENT MODE ERRORS IN REDUCE MODE. 
          2. USE XJ IF AVAILABLE. 
          3. ERROR MESSAGES HAVE BEEN ADDED INSTEAD OF DELIBERATE MODE
          ERRORS. 
          4. ALLOW COBOL AND CRM TO REQUEST BUFFERS BEYOND THE HHA
          WITHOUT SEGRES REDUCING FL. 
          5. ALLOW NR OPTION ON LOAD DIRECTIVE (LOAD(ABS/NR)).
          6. IMPROVE READIBILITY AND ALLOW ROOM FOR FUTURE EXPANSION. 
          GEL    75/02/21    SEGRES                        PSR
  
 LDR0002  ALLOW SEGBILD TO READ BINARIES WHICH HAVE MORE THAN ONE 
          LDSET TABLE.
          GEL    75/02/21    SEGBILD                       PSR
  
 LDR0010  ISSUE DIAGNOSTIC 4107 WHEN ABSOLUTE LOAD NOT FOLLOWED BY
          AN *EXECUTE* STATEMENT. 
          SBJ    75/02/25    LOADER,LOADU                  PSR
  
 LDR0011  CORRECT *SLOAD* PROCESSING TO SEARCH FILE FROM CURRENT
          POSITION TO END-OF-FILE.  REMOVE END-AROUND FILE SEARCH.
          SBJ    75/02/25    LOADER,LOADU                  PSR
  
 LDR0013  CORRECT LIBRARY NAMES SHOWN ON OVERLAY MAP WHEN LIBRARY 
          SET DIFFERS FROM PREVIOUS OVERLAY.
          GMT    75/02/28    LOADER                        PSR
  
 LDR0027  THE CYBER LOADER UNDER KRONOS/NOS IS MODIFIED TO RETURN 
          ALL SYSTEM FILES PROPERLY AS THE LOADER EXITS.
          MFL= SPECIAL ENTRY POINT CHANGED FROM 12000B TO 30000B. 
          CJL    75/03/12    LOADER,LOADU                  PSR
  
 LDR0033  CYBER LOADER IN OVERLAY MODE IS MODIFIED TO REMOVE
          LINKAGES PROPERLY AND TO PROPERLY PROCESS *OMIT* REQUESTS.
          CJL    75/03/17    LOADER,LOADU                  PSR
  
 LDR0034  CYBER LOADER UNDER KRONOS/NOS IS MODIFIED TO PROCESS
          EXECUTE ONLY FILES PROPERLY.  THE ONLY ALLOWABLE
          LOAD SEQUENCE WITH AN EXECUTE ONLY FILE IS EXACTLY
          AND ONLY A FILE NAME CALL.
          CJL    75/03/20    LOADER,LOADU                  PSR
  
 LDR0037  MODIFY CYBER LOADER TO SETUP PARAMETERS CORRECTLY 
          FOR EXECUTION AFTER OVERLAY GENERATION. 
          CJL    75/04/10    LOADER,LOADU                  PSR
  
 LDR0041  CYBER LOADER IS MODIFIED TO DEFINE A THRESHOLD FOR *ATS*
          TO OBTAIN MORE TABLE SPACE WHEN THE THRESHOLD IS EXCEEDED 
          INSTEAD OF WHEN ALL TABLES RUN OUT OF SPACE.
          CJL    75/04/09    LOADER,LOADU                  PSR
  
 LDR0042  CYBER LOADER IS MODIFIED TO MOVE MANAGED TABLES 
          ONCE INSTEAD OF TWICE PER TABLE MOVE. 
          CJL    75/04/09    LOADER,LOADU                  PSR
  
 LDR0043  CYBER LOADER UNDER KRONOS/NOS IS MODIFIED TO MANAGE 
          INITIAL FIELD LENGTH PROPERLY BY SPECIFYING *MFL=*
          AT 240000B INSTEAD OF 30000B. 
          *** NOTE *** THIS CODE IS DEPENDENT UPON LDR0027. 
          CJL    75/04/09    LOADER,LOADU                  PSR
  
 LDR0044  CYBER LOADER UNDER KRONOS/NOS IS MODIFIED TO SEARCH 
          INTERNAL *TLNK* TABLE VIA A BINARY SEARCH IN *SLD*. 
          CJL    75/04/09    LOADER,LOADU                  PSR
  
 LDR0045  CYBER LOADER UNDER KRONOS/NOS IS MODIFIED TO SAVE THE 
          LIBRARY CROSS REFERENCE FLAG AND NOT NEEDLESSLY SEARCH
          LIBRARIES AGAIN FOR EXTERNALS THAT IT WILL NEVER BE 
          ABLE TO FIND. 
          *** NOTE *** THIS CODE IS DEPENDENT UPON LDR0027. 
          CJL    75/04/09    LOADER,LOADU                  PSR
  
L406     ***
 LDR0003  FIX ERROR MESSAGE TO INCLUDE CORRECT PROGRAM NAME.
          GEL    75/02/25    SEGBILD                       PSR
  
 LDR0007  PREVENTS MODE ERROR AND BAD ERROR MESSAGE WHEN SLOAD
          PROGRAM CANNOT BE FOUND.  FIXES TREE DIAGRAM TO INCLUDE A 
          SEPARATOR BETWEEN LEVEL 0 AND LEVEL 1 WHEN THE ONLY SEGMENT 
          IN LEVEL 0 IS THE ROOT SEGMENT.  ADDS THE MESSAGE *NON-FATAL
          LOADER ERROR*.
          GEL    75/03/05    SEGBILD                       PSR
  
 LDR0009  FIX LIBRARY SEARCH SO THAT BAD BINARIES DO NOT CAUSE
          SEGBILD TO LOOP WHILE SATISFYING EXTERNALS. 
          GEL    75/03/05    SEGBILD                       PSR
  
 LDR0012  CORRECT *CM STORAGE USED* IN MAP TO BE ROUNDED TO NEAREST 
          100B. 
          SBJ    75/02/25    LOADER,LOADU                  PSR
  
 LDR0014  CYBER LOADER AND LDRTEXT ARE MODIFIED TO DIAGNOSE 
          LOAD FILE NOT SPECIFIED, FATAL ERROR 0221.
          CJL    75/03/06    LOADER,LOADU,LDRTEXT          PSR
  
 LDR0015  PREVENT MODE ERROR WHEN ONLY TREE DIRECTIVE TO SEGBILD IS 
          IN ERROR. 
          GEL    75/03/05    SEGBILD                       PSR
  
 LDR0016  PROCESS ECS LIMITS ON LDREQ BEGIN MACRO PROPERLY. 
          ISSUE CATASTROPHIC ERROR IF ECS FWA IS GREATER THAN OR
          EQUAL TO THE ECS LWA+1. 
          SBJ    75/03/24    LOADU,LDRTEXT                 PSR
  
 LDR0024  SEGBILD DOES NOT USE THE LWA+1 OF ECS BLANK COMMON AS THE 
          ECS FL NEEDED.  SEGBILD DID NOT PRESET ECS LABELLED COMMON
          BLOCKS CORRECTLY.  THE REPL TABLE WOULD NOT WORK IF THE 
          SOURCE WAS PRESET JUST PRIOR TO THE REPL. 
          GEL    75/03/15    SEGBILD                       PSR
  
 LDR0025  SUBST WOULD NOT WORK IF THE ENTRY WAS IN THE LOAD FILE OR 
          IN A LIBRARY. 
          GEL    75/03/15    SEGBILD                       PSR
  
 LDR0026  CYBER LOADER IS MODIFIED TO DAYFILE THE FACT THAT THE 
          LOAD SEQUENCE IS BEING IGNORED AND THAT THE LAST CONTROL
          CARD IS BEING GIVEN BACK TO THE SYSTEM. 
          THIS HAPPENS ONLY FOR CONTROL CARD INITIATED LOADS UNDER
          KRONOS/NOS WHEN THE FOLLOWING CONDITIONS ARE SATISFIED -- 
          1)  THE LAST CONTROL CARD IN THE LOAD SEQUENCE WAS
              NOT A LOCAL FILE CALL, AND
          2)  THE LAST CONTROL CARD IN THE LOAD SEQUENCE
              WAS NOT *EXECUTE* OR *NOGO*, AND
          3)  NOTHING HAS BEEN LOADED SO FAR. 
          CJL    75/03/12    LOADER                        PSR
  
 LDR0028  CORRECT MODE 1 ERROR WHEN INSUFFICIENT FL DUE TO TABLE
          OVERFLOW DURING MAP GENERATION. 
          SBJ    75/03/18    LOADER                        PSR
  
 LDR0029  PROCESS CONDITIONAL BINARY TABLES IN THE CORRECT ORDER. 
          GEL    75/03/20    SEGBILD                       PSR
  
 LDR0030  FORTRAN MOVABLE MODULES ARE FORCED TO ROOT SEGMENT
          UNNECESSARILY.
          GEL    75/03/20    SEGBILD                       PSR
  
 LDR0032  MAKE EXECUTE OR NOGO TERMINATE REQUEST FOR USER-CALL LOAD.
          GMT    75/03/04    LOADU,UCLOAD                  PSR
  
 LDR0036  CORRECT MAP TO NOT TERMINATE COMMENTS FIELD ON A WORD OF
          BLANKS. 
          SBJ    75/04/02    LOADER,LOADU                  PSR
  
 LDR0038  CORRECT ECS PROGRAM ADDRESS CALCULATION IN THE USER CALL
          LOADER WHEN ECS BLANK COMMON IS PRESENT.  INCLUDE NUMBER
          OF WORDS TRUNCATED IN ALL CASES OF THE 4105 ERROR MESSAGE.
          SBJ    75/04/07    LOADER,LOADU                  PSR
  
 LDR0048  SET TRACK DEFAULT OF LWA INSTEAD OF LWA+1 FOR TO PARAMETER. 
          GEL    75/04/17    TRAPPER                       PSR
  
 LDR0049  FRAME USES DEFAULT FOR VALUE OF LWA+1-FWA INSTEAD IT SHOULD 
          USE FL-FWA. 
          GEL    75/04/17    TRAPPER,TRAP                  PSR
  
 LDR0050  TRACK OF RE INSTRUCTION HAD A BAD DUMP OF THE EFFECTED SCM
          DESTINATION.
          GEL    75/04/18    TRAPPER                       PSR
  
 LDR0051  *LDRCNTL* UNDER SCOPE IS MODIFIED TO DIAGNOSE A LIBRARY 
          NAME OF MORE THAN SEVEN CHARACTERS PROPERLY AS AN ERROR.
          UNDER KRONOS/NOS THE ERROR IS DIAGNOSED FOR US BY THE 
          SYSTEM, AS WE DO NOT HAVE SPECIAL ENTRY POINT *ARG=*, 
          AND HENCE CONTINUED PARAMETERS ARE DIAGNOSED AS ILLEGAL 
          WHEN *1AJ*/*TCS* ADVANCES/CRACKS THE CONTROL CARD.
          CJL    75/04/21    LDRCNTL                       PSR
  
 LDR0058  CORRECT PROBLEM OF INCORRECT LINKAGE TO FIRST ENTRY 
          IN *TLNK* TABLE.
          SBJ    75/05/22    LOADER,LOADU                  PSR
  
L410     ***
 LDR0040  CORRECT *CMLOAD*/*ECLOAD* TO ISSUE ERROR 4230 IF FWA
          PARAMETER IS A NEGATIVE NUMBER. 
          SBJ    75/04/07    LOADU                         PSR
  
 LDR0047  FIX ERROR 4102 TO INDICATE CORRECT PROGRAM NAME FOR THE 
          DUPLICATE ENTRY POINT NAME. 
          SBJ    75/05/07    LOADER,LOADU                  PSR
  
 LDR0053  PREVENT ERROR 107 (INSUFFICIENT FL FOR EXECUTION) WHEN
          EXECUTION IS NOT REQUESTED. 
          GMT    75/05/05    LOADER                        PSR
  
 LDR0054  INCOMPLETE TRACK WHEN USING COMBINATION OF TRACK AND FRAME
          DIRECTIVES. 
          GEL    75/04/29    TRAPPER                       PSR
  
 LDR0055  TRACKS AND FRAMES STARTING AT THE SAME LOCATION CAUSES ONE
          OF THE TRAPS TO FAIL. 
          GEL    75/04/25    TRAPPER                       PSR
  
 LDR0056  CYBER LOADER UNDER KRONOS/NOS IS MODIFIED TO PROCESS
          *USEP* REQUESTS PROPERLY.  ROUTINE *SPT* IS MODIFIED
          TO FIND, READ, AND PROCESS THE LIBRARY *OPLD* RECORD
          PROPERLY AND EFFICIENTLY. 
          CJL    75/05/09    LOADER,LOADU                  PSR
  
 LDR0057  CYBER LOADER UNDER KRONOS/NOS IS MODIFIED TO AWAIT I/O
          COMPLETE BEFORE RETURNING SYSTEM FILES AT *RSF* TO AVOID
          I/O SEQUENCE ERROR ON SYSTEM LIBRARIES. 
          CJL    75/05/27    LOADER,LOADU                  PSR
  
 LDR0059  A FRAME DIRECTIVE USING AN ECS FROM ADDRESS 
          WILL CAUSE TRAPPER TO IGNORE THE DIRECTIVE. 
          GEL    75/05/27    TRAPPER                       PSR
  
 LDR0064  PREVENTS BUFFER ARGUMENT ERRORS ON FET *HOLD* DURING SECOND 
          PASS PROCESSING OF REPLICATION TABLES.
          GEL    75/06/06    SEGBILD                       PSR
  
 LDR0067  CORRECT TABLE MANAGEMENT ROUTINE *ATS* WHEN LOADING ABSOLUTE
          PROGRAM.
          SBJ    75/06/17    LOADER                        PSR
  
 LDR0072  ECS IMAGE WAS BEING LOADED 1000B TOO HIGH.
          GEL    75/07/01    SEGRES                        PSR
  
 LDR0078  ECS REPLICATION IN A HIGHER LEVEL SEGMENT WITHOUT USE OF
          ECS IN A LOWER SEGMENT CAUSES SEGBILD TO OVERWRITE HIS
          TABLES.  THIS ALSO FIXES THE CROSS REFERENCE MAP WHICH WAS
          DESTROYED BY PSR LDR0003. 
          GEL    75/07/23    SEGBILD                       PSR
  
L414     ***
 LDR0085  COBOL LITERALS BLOCK IS LOADED AT WRONG ADDRESS.  THIS WILL 
          OCCUR ONLY IN RFL MODE AND WHEN DELAYED *REPL* TABLES ARE 
          USED. 
          GEL    75/08/01    SEGBILD                       PSR
  
 LDR0091  CYBER LOADER UNDER KRONOS/NOS IS MODIFIED TO NOT RETURN 
          FILES ZZZZZ03, ZZZZZ04, AND ZZZZZ06 AS THESE FILES ARE
          SPECIAL CASED SYSTEM FILES UNDER SCOPE ONLY.
          CJL    75/08/15    LOADER,LOADU                  PSR
  
 S3143CL  CYBER LOADER IS MODIFIED TO USE *OS.ID* FROM *IPTEXT* 
          AS THE OPERATING SYSTEM IDENTIFICATION IN *PREFIX* TABLES.
          CJL    75/08/13    LOADER,LOADU                  FEATURE
  
 *L420*    *********************************************************************
 FEAT139A USE THE *READO* MACRO FOR ONE-WORD READS. 
          GMT    75/07/01    LOADER,LOADU                  FEATURE
  
 FEAT139B REWRITE KRONOS/NOS LIBRARY SEARCH ROUTINE TO FIX SEVERAL BUGS 
          AND SPEED UP PROCESSING.  DO NOT USE LIBRARY CROSS REFERENCES 
          IF PROCESSING A *LIBLOAD* REQUEST OR IF ANY *SUBST* OR *OMIT* 
          REQUESTS ARE IN EFFECT. 
          CJL    75/06/09    LOADER,LOADU                  FEATURE
  
 FEAT139C SPEED UP SEARCH OF ERT UNDER SCOPE. 
          GMT    75/07/01    LOADER,LOADU                  FEATURE
  
 FEAT139D SPEED UP LOADING OF ABSOLUTE PROGRAMS.
          GMT    75/07/01    LOADER                        FEATURE
  
 FEAT139E SPEED UP PRESET LOOP FOR 6600-TYPE CPU (SLIGHT IMPROVEMENT
          FOR 6400 CPU).  DONT PRESET THE LOADERS OWN MEMORY. 
          GMT    75/07/01    LOADER,LOADU                  FEATURE
  
 FEAT139F SUPPORT 54-TYPE ABSOLUTE OVERLAYS AND CREATE 54-TYPE HEADER 
          ON RELOCATABLE LOADS. 
          GMT    75/07/01    LOADER,LOADU                  FEATURE
  
 FEAT139G IMPLEMENT LDSET(PRESETA=...) AND EXPAND LDSET(PRESET=...) 
          IN CONFORMANCE WITH NEW COMPASS OPTIONS.
          GMT    75/07/15    LOADER,LOADU                  FEATURE
  
 FEAT139H MODIFY CYBER LOADER UNDER KRNONS/NOS
          TO SUPPORT RELOCATABLE LOADS FROM THE *CLD*.
          CJL    75/07/28    LOADER,LOADU                  FEATURE
  
 FEAT139J MODIFY CYBER LOADER TO GET DEFAULT MAP OPTIONS
          FROM *LDRCOM*.  THE SYMBOL *IP.MAP* IS PUT INTO *LDRCOM*. 
          THE VALID MAP OPTIONS BIT IS ADDED TO THE LOADER CONTROL
          WORD AND IS SET AND USED PROPERLY BY *LOADER*, *LOADU*, 
          AND *LDRCNTL* UNDER BOTH SCOPE AND KRONOS/NOS.
          CJL    75/08/01    LDRCOM,LDRCNTL,LOADER,LOADU   FEATURE
  
 FEAT139K ALLOW EXECUTION OF THE LOADER FROM A LOCAL FILE.
          GMT    75/07/01    LOADER                        FEATURE
  
 FEAT139L IF IP.FLMSG.NE.0, PUT CM REQUIRED FOR LOADING AND EXECUTION 
          INTO THE DAYFILE WHEN THE MAP IS OFF.  EXPAND PERFORMANCE 
          MESSAGE (GIVEN WHEN IP.LRT.NE.0) TO INCLUDE ADDITIONAL
          INFORMATION BESIDES REAL-TIME SECONDS.
          GMT    75/07/01    LOADER                        FEATURE
  
 FEAT139M INTRODUCE ASSEMBLY OPTION FOR DEBUGGING VERSION OF THE LOADER 
          IF IP.LDBG IS NONZERO, THE CURRENT STATUS OF THE LOAD WILL BE 
          DISPLAYED ON THE B-DISPLAY.  IF SWITCH(5) IS ON THE MESSAGES
          WILL ALSO BE ISSUED TO THE DAYFILE. 
          GMT    75/07/01    LOADER,LOADU                  FEATURE
  
 FEAT139N ADD *LDPATCH* CONTROL CARD FOR USE IN DEBUGGING.
          CODE IS ASSEMBLED ONLY IF IP.LDBG IS NONZERO. 
          GMT    75/07/01    LOADER                        FEATURE
  
 FEAT139P IF SWITCH(6) IS ON, CALL SMP OR SPY TO SAMPLE THE P-REGISTER
          DURING EXECUTION OF THE LOADER.  CODE IS ASSEMBLED ONLY IF
          IP.LDBG IS SET NONZERO. 
          GMT    75/07/01    LOADER                        FEATURE
  
 FEAT139Q INTERFACE THE USER-CALL LOADER WITH THE NEW *PILOAD* OBJECT-
          TIME ROUTINE WHICH REPLACES *UCLOAD* IN A CMM ENVIRONMENT.
          GMT    75/07/16    LOADU                         FEATURE
  
 FEAT139W ADD *PRESETA* OPTION TO *LDREQ* MACRO.
          GMT    75/08/26    LDRTEXT                       FEATURE
  
 FEAT139R MODIFY THE *LOADER* MACRO TO RECOGNIZE THE *CMM* PARAMETER. 
          SM     75/07/08    LDRTEXT                       FEATURE
  
 FEAT139S MODIFY *UCLOAD* TO DIAGNOSE CALL WHEN *CMM* IS UP.
          SM     75/08/07    UCLOAD                        FEATURE
  
 FEAT139T ADD PARAMETER TO *LDRCOM* SPECIFYING INITIAL SIZE OF LOADABLE 
          AREA TO BE REQUESTED FROM *CMM* BY *PILOAD*.
          SM     75/08/07    LDRCOM                        FEATURE
  
 PILOAD   ADD *PILOAD* OBJECT-TIME ROUTINE TO PROCESS USER-CALL LOADER
          INTERFACE IN A *CMM* ENVIRONMENT. 
          SM     75/06/01    PILOAD                        FEATURE
  
 FEAT139U MODIFY SEGBILD FOR 54-TABLE SUPPORT.
          GEL    75/08/01    SEGBILD                       FEATURE
  
 FEAT139V MODIFY SEGRES FOR 54-TABLE SUPPORT, MANAGE FL FOR MULTI-LEVEL 
          TREES, AND ELIMINATE ONE UNNEEDED MEM CALL. 
          GEL    75/08/01    SEGRES                        FEATURE
  
 FEAT139FA  CYBER LOADER 1.1 IN OVERLAY GENERATION MODE IS MODIFIED 
          TO WRITE OVERLAYS AT CURRENT POSITION AND NOT AT EOI. 
          *** DEPENDENCY - FEAT139F *** 
          CJL    75/10/20    LOADER                        PSR
  
 FEAT139FB  CYBER LOADER 1.1 IN OVERLAY GENERATION MODE IS MODIFIED 
          TO WRITE ECS IMAGES PROPERLY, I.E. TO NOT GENERATE ECS
          IMAGES REDUNDANTLY IN HIGHER LEVEL OVERLAYS.
          *** DEPENDENCY - FEAT139F *** 
          CJL    75/10/20    LOADER                        PSR
  
 FEAT139FC  CYBER LOADER IS MODIFIED TO REINITIALIZE THE FILE NAME
          IN THE FET PROPERLY WHEN A FATAL ERROR OCCURS IN OVERLAY
          GENERATION. 
          CJL    75/11/10    LOADER                        FEATURE
  
 FEAT139KA  CYBER LOADER 1.1 IN OVERLAY GENERATION MODE IS MODIFIED 
          TO HANDLE THE OVERLAY GENERATION AND GO CASE PROPERLY.
          *** DEPENDENCY - FEAT139K *** 
          CJL    75/10/20    LOADER                        PSR
  
 FEAT139KB  ENSURE PROPER INITIALIZATION OF LIBRARY SET WHEN LOADER 
          IS EXECUTED FROM A USER LIBRARY.
          GMT    75/10/28    LOADER                        PSR
  
 FEAT139KC  SHUFFLE ENTRY POINT ORDER TO FIX FTN(GO) AND LDCMR CALLS
          TO THE LOADER UNDER NOS/BE. 
          GMT    75/12/01    LOADER                        PSR
  
 LDR0070  PROCESS END-OF-CARD PROPERLY WHEN CONTROL CARD IS 
          TERMINATED BY 66 ZERO BITS. 
          SBJ    75/07/11    LOADER                        PSR
  
 LDR0123  CORRECTS ERRONEOUS DIAGNOSTIC NE4230 WHEN DOING AN
          *ECLOAD*. 
          SBJ    75/11/12    LOADER                        PSR
  
 LDR0130  SET UP FET CORRECTLY IN ALF TO AVOID LFM AND CIO ERRORS.
          CODE AFFECTS NOS ONLY.
          GMT    75/11/19    LOADER,LOADU                  PSR
  
 LDR0146  PREVENT LOADER FROM GETTING FALSE EOR CONDITIONS ON A NON XJ
          SYSTEM OR IN USER CALL LOADS.  UNDER NOS/BE IF THE SYSTEM 
          LIBRARY DIRECTORIES ARE MOVED TO ECS, *LOADU* WOULD FAIL. 
          GEL    76/01/06    LOADU,LOADER                  PSR
  
 LDR0149  *LOADU* MAY NOT DISCARD ALL ENTRIES BETWEEN THE FWA AND 
          LWA+1 OF LOAD.  THIS MAY CAUSE *LOADU* TO LINK TO ENTRIES 
          WHICH ARE NO LONGER PRESENT.
          GEL    76/01/09    LOADU                         PSR
  
 LDR*76   ADD COPYRIGHT 1976 TO PL1E DECKS. 
          SBJ    75/12/08    PILOAD,LDRCNTL,LOADER,LOADU,UCLOAD,
                             TRAP,TRAPPER,SEGRES,SEGBILD   PSR
  
 *L428*    *********************************************************************
 FEAT149A THE SEGMENT LOADER *SEGBILD* HAS BEEN REPLACED BY THE 
          OVERLAY *LOADS* TO THE BASIC LOADER.  CMM AND 54 TABLE SUPPORT
          HAS BEEN ADDED FOR THE NEW SEGMENT LOADER.
          SEGMENT LOADS CAN NOW BE MADE ON *KRONOS* AND *NOS*.
          GEL    75/12/01    LOADER,SEGBILD                FEATURE
  
 FEAT149B ADD *CMM* SUPPORT TO *SEGRES*.
          GEL    75/09/11    SEGRES                        FEATURE
  
 FEAT149C CODE TO IMPROVE SEGMENT LOADER CP TIME PERFORMANCE (BASIC 
          LOADER TOO).  THIS ALSO CHANGES THE CYBER LOADER VERSION TO 
          1.2.
          GEL    76/02/18    LOADER,LOADU                  FEATURE
  
 FEAT149D THE *-SAVE* OPTION ON THE *GLOBAL* DIRECTIVE WAS NOT PROCESSED
          CORRECTLY.  ALL BLOCKS ON THE DIRECTIVE SHOULD BE MADE
          GLOBAL SAVE IF *-SAVE* APPEARS.  THIS ALSO CHANGES THE
          DOCUMENTATION ON *APS* TO REFLECT THE ACTUAL ALGORITHM FOR
          ASSIGNING PROGRAMS TO SEGMENTS. 
          GEL    76/03/25    LOADER                        PSR
  
 LDR0087  INSURE A CORRECT LOAD WHEN MORE THAN 377777B WORDS OF ECS ARE 
          USED.  THIS ALSO CORRECTS A PROBLEM WITH ECS BLOCKS BEING 
          REDEFINED BY HIGHER LEVEL OVERLAYS WHEN THERE EXISTS A
          DEFINITION IN THE LOWER LEVEL OVERLAY.
          GEL    76/01/15    LOADER                        PSR
  
 LDR0087A INSURES A CORRECT SEGMENT LOAD WHEN MORE THAN 377777B WORDS 
          OF ECS ARE USED.
          GEL    76/01/15    LOADER                        PSR
  
 LDR0098  IF THE LOAD EXCEEDS 400000B THE FATAL ERROR *INSUFFICIENT FL
          FOR EXECUTION* IS GIVEN.
          GEL    76/01/14    LOADER                        PSR
  
 LDR0103  FIX THE USER CALL LOADER TO ALLOCATE ECS // PROPERLY
          WHEN DEFINED IN A PREVIOUS LOAD.
          SBJ    75/09/30    LOADU,LOADER                  PSR
  
 LDR0126  ENTRY POINTS DEFINED BY A ZERO LENGTH ROUTINE IN A LOWER LEVEL
          OVERLAY WERE IGNORED BY HIGHER LEVEL OVERLAYS IF THE ROUTINE
          WAS LAST TO BE LOADED.
          GEL    76/01/13    LOADER                        PSR
  
 LDR0137  EXECUTION OF LARGE SEGMENT LOAD PROGRAMS FAILS BECAUSE
          *SEGRES* DESTROYS THE TABLE OF SEGMENTS.
          GEL    75/12/12    SEGRES                        PSR
  
 LDR0143  THE FRAME *FOR* PARAMETER WAS ALWAYS SET TO FL. 
          GEL    75/12/25    TRAPPER                       PSR
  
 LDR0145  CM BLANK COMMON TRUNCATED ON ABS LOADS.  DUPLICATE MESSAGE
          APPEARS WITH ONLY ONE WORD TRUNCATED. 
          GEL    75/12/30    LOADER                        PSR
  
 LDR0150  *LOADU* WILL NOT RECOGNIZE *ERRORS IN ASSEMBLY* BUT GIVES 
          *LOADER CARD ERROR* INSTEAD.
          GEL    76/01/13    LOADU                         PSR
  
 LDR0151  IF A COMMENT IS THE LAST *TRAP* DIRECTIVE THEN *TRAPPER* WILL 
          HANG IN A LOOP. 
          GEL    76/01/14    TRAP                          PSR
  
 LDR0155  A SECOND CALL TO *PILOAD* WILL CAUSE AN AUTO RECALL ERROR ON
          A CALL TO *MEM. 
          GEL    76/01/23    PILOAD                        PSR
  
 LDR0156  LOADER WAS NOT WRITING FILE ZZZZZ17 IF ENTRY POINT *LOADER.*
          WAS PRESENT.
          GEL    76/01/26    LOADER                        PSR
  
 LDR0158  PREVENT *SEGRES* FROM REDUCING IN A 54 TABLE LOAD WHEN RA+65
          IS DIFFERENT THAN THE HHA IN WORD 104B. 
          GEL    76/02/05    SEGRES                        PSR
  
 LDR0161  PREVENT LOADER FROM GETTING ILLEGAL LDL CODE.  THIS IS CAUSED 
          BY A CIO ACTIVE WHEN THE NEXT LIBRARY IS BEING SEARCHED.
          GEL    76/02/05    LOADER,LOADU                  PSR
  
 LDR0200  INCOMPATIBLE REFERENCES BETWEEN FIXED PROGRAMS WERE NOT 
          PROCESSED PROPERLY.  THE SEGMENT LOADER SHOULD LOAD A 
          DUPLICATE COPY OF A PROGRAM TO SATISFY THE EXTERNAL.
          GEL    76/04/23    LOADER                        PSR
  
 *L433*    ************************************************************* *L433* 
 LDR0153A DELETE PPTEXT SYMBOLS FROM LOADER AND LDRCNTL.                 LDR0153
          *** DEPENDS ON IDENT LDR0153 TO MODIFY PPTEXT. ***             LDR0153
          GEL    76/04/06    LOADER,LOADU,LDRCNTL          PSR           LDR0153
                                                                         LDR0153
 LDR0166  SEGMENT LOADER RESIDENT WILL ISSUE A DAYFILE MESSAGE AND ABORT LDR0166
          IF A WORD OF THE FORM 12/0,48/X IS ENCOUNTERED WHICH CAUSES    LDR0166
          LOADING.  OTHERWISE SEGMENT LOADER RESIDENT WOULD MODE OUT OR  LDR0166
          ALTER CONTENTS OF WORDS WHICH WERE NOT INTENDED TO BE ALTERED. LDR0166
          GEL    76/04/26    SEGRES                        PSR           LDR0166
                                                                         LDR0166
 LDR0167  *SEGRES* WILL GET A MODE ERROR IF NO ECS LABELED COMMON BLOCKS LDR0167
          ARE USED BUT ECS BLANK COMMON IS DECLARED.                     LDR0167
          GEL    76/03/30    SEGRES                        PSR           LDR0167
                                                                         LDR0167
 LDR0167A PASS THE ECS LWA+1 TO THE SEGMENT LOADER RESIDENT              LDR0167
          *SEGRES* CORRECTLY.                                            LDR0167
          GEL    76/03/31    LOADER                        PSR           LDR0167
                                                                         LDR0167
 LDR0172  LOADU REQUESTS TOO MUCH MEMORY IN CMM ENVIRONMENT.             LDR0172
          GEL    76/03/05    LOADU                         PSR           LDR0172
                                                                         LDR0172
 LDR0173  PASSLOC TABLES ARE OCCASIONALLY IGNORED BY THE USER CALL       LDR0173
          LOADER WITH THE ERROR 4241 WHEN NOTHING IS WRONG WITH THE      LDR0173
          PASSLOC TABLE.                                                 LDR0173
          GEL    76/03/05    LOADU                         PSR           LDR0173
                                                                         LDR0173
 LDR0186  NOS LOADER WILL LOOP TRYING TO SATISFY EXTERNALS FROM TWO      LDR0186
          LIBRARIES WHEN DUPLICATE PROGRAMS FROM LIBRARIES WOULD         LDR0186
          SATISFY THE EXTERNALS.                                         LDR0186
          GEL    76/04/05    LOADER,LOADU                  PSR           LDR0186
                                                                         LDR0186
 LDR0187  PREVENTS LOADER FROM PRINTING A BLANK PAGE FOR THE SAKE OF     LDR0187
          PAGE PARITY.                                                   LDR0187
          GEL    76/04/05    LOADER,LOADU                  PSR           LDR0187
                                                                         LDR0187
 LDR0188  IF ONE TRANSFER NAME IS GIVEN ON A *END* DIRECTIVE IT MAY      LDR0188
          BE IGNORED DEPENDING ON WHETHER OR NOT IT WAS FOLLOWED BY A    LDR0188
          BLANK BEFORE THE ZERO BYTE TERMINATOR.                         LDR0188
          GEL    76/04/06    LOADER                        PSR           LDR0188
                                                                         LDR0188
 LDR0192  LOADER MAY MODE OUT GENERATING A MAP IF THE FIRST PROGRAM      LDR0192
          LOADED HAS NO PREFIX TABLE.                                    LDR0192
          GEL    76/04/13    LOADER,LOADU                  PSR           LDR0192
                                                                         LDR0192
 LDR0192A DELETE EXTRA CODE FROM *BLOADS* WHICH IS DUPLICATED BY CODE    LDR0192
          FROM PSR *LDR0192*.                                            LDR0192
          GEL    76/04/13    LOADER                        PSR           LDR0192
                                                                         LDR0192
 LDR0194  LOADER MAY DESTROY A WORD OF THE FIRST TEXT BLOCK IN A HIGHER  LDR0194
          LEVEL OVERLAY.                                                 LDR0194
          GEL    76/04/29    LOADER,LOADU                  PSR           LDR0194
                                                                         LDR0194
 LDR0195  *PILOAD* WOULD JUMP TO AN INCORRECT ADDRESS TO START UP THE    LDR0195
          USER CALL LOADER IF FWA AND LWA+1 WAS SPECIFIED.  *LOADU*      LDR0195
          WAS NOT RETURNING THE TRANSFER ADDRESS TO *PILOAD* IF FWA AND  LDR0195
          LWA+1 WAS SPECIFED.                                            LDR0195
          GEL    76/04/16    PILOAD,LOADU                  PSR           LDR0195
                                                                         LDR0195
 LDR0196  CORRECT LOADER TO PROPERLY HANDLE 20-WORD *PRFX* TABLE.        LDR0196
          SBJ    76/04/22    LOADER,LOADU                  PSR           LDR0196
                                                                         LDR0196
 LDR0207  *TRAPPER* WILL OVERWRITE HIMSELF OCCASIONALLY WHILE            LDR0207
          GENERATING OUTPUT.                                             LDR0207
          GEL    76/05/19    TRAPCOM                       PSR           LDR0207
                                                                         LDR0207
 *L439*    ************************************************************* *L439* 
 CP146A   CYBER LOADER IS MODIFIED TO USE *SYSLIB* AS THE DEFAULT        CP146A 
          LIBRARY FOR SATISFYING EXTERNALS, AND *NUCLEUS* AS THE         CP146A 
          DEFAULT LIBRARY FOR SATISFYING ENTRY POINT NAME CALLS          CP146A 
          IN SUPPORT OF THE COMMON MEMORY MANAGER (CMM).                 CP146A 
          CJL    76/05/03    LOADER,LOADU                  FEATURE       CP146A 
                                                                         CP146A 
 LDR0199  THIS CODE WILL GIVE THE USER AT LEAST 4 WORDS OF CM BEYOND     LDR0199
          HHA SO THAT ROUTINES SUCH AS *COMCRDW* WILL NOT MODE OUT.      LDR0199
          THIS WILL ALSO PREVENT THE USER FROM MODING OUT BY EXECUTING   LDR0199
          AN INSTRUCTION AT FL-1 OR FL-2.                                LDR0199
          GEL    76/04/23    LOADER,SEGRES                 PSR           LDR0199
                                                                         LDR0199
 LDR0206  CORRECT USER-CALL ENTRY REQUEST TO RETAIN THE ENTRY POINT      LDR0206
          NAME IN THE ENTRY REQUEST TABLE IF THE ENTRY POINT IS          LDR0206
          UNSATISFIED OR OMITTED.                                        LDR0206
          SBJ    76/05/20    LOADU                         PSR           LDR0206
                                                                         LDR0206
 LDR0210  PREVENT THE FATAL ERROR *BAD LINK BINARY TABLE* FROM OCCURRING LDR0210
          DURING USER CALL LOADS.                                        LDR0210
          GEL    76/06/02    LOADER,LOADU                  PSR           LDR0210
                                                                         LDR0210
 LDR0212  LDSET *USE* AFTER LDSET *OMIT* SHOULD OVERRIDE THE *OMIT*      LDR0212
          REQUEST.                                                       LDR0212
          GEL    76/06/02    LOADER,LOADU                  PSR           LDR0212
                                                                         LDR0212
 LDR0213  LOADER WOULD GET ASSEMBLY ERRORS IF IP.MECS = 1.               LDR0213
          GEL    76/06/02    LOADER                        PSR           LDR0213
                                                                         LDR0213
 LDR0214  THIS CODE PREVENTS *ILLEGAL I/O REQUEST* DURING MAP            LDR0214
          GENERATION WHEN A FATAL ERROR OCCURRED ON A NON-OVERLAY LOAD.  LDR0214
          GEL    76/06/03    LOADER,LOADU                  PSR           LDR0214
                                                                         LDR0214
 LDR0223  *PILOAD* DOES NOT WORK UNDER NOS.  *LOADU* IS LOADED AND       LDR0223
          GIVEN CONTROL BEFORE *PILOAD* SETS UP THE PARAMETERS FOR       LDR0223
          *LOADU*.                                                       LDR0223
          GEL    76/07/13    LOADU,PILOAD,UCLOAD           PSR           LDR0223
                                                                         LDR0223
 LDR0233  COMMON SEGMENT LOADER DID NOT ALWAYS PROCESS MULTIPLE *TREE*   LDR0233
          DIRECTIVES CORRECTLY.                                          LDR0233
          GEL    76/08/16    LOADER                        PSR           LDR0233
                                                                         LDR0233
 LDR0234  *PILOAD* IS MODIFIED TO INITIALIZE THE PARAMETER LIST          LDR0234
          EACH TIME BEFORE CALLING *LOADU* AND TO PASS *LOADU*           LDR0234
          THE LWA OF THE LOADABLE AREA INSTEAD OF THE LWA OF THE         LDR0234
          FIELD LENGTH.  *LOADU* IS MODIFIED TO UPDATE THE LWA           LDR0234
          OF THE LOADABLE AREA PROPERLY.                                 LDR0234
          CJL    76/08/11    PILOAD,LOADU                  PSR           LDR0234
                                                                         LDR0234
 LDR0235  THIS CODE PREVENTS SEGMENT LOADER FROM MODING OUT DURING PASS  LDR0235
          ONE.                                                           LDR0235
          GEL    76/08/23    LOADER                        PSR           LDR0235
                                                                         LDR0235
 LDR0238  CHANGE THE MISLEADING LOADER ENTRY POINT NAME *LDTEST* TO THE  LDR0238
          MORE DESCRIPTIVE *LOADLDR*.  THIS ENTRY POINT IS USED WHEN     LDR0238
          IT IS NECESSARY TO EXPLICITLY CALL IN THE (POSSIBLY NEW        LDR0238
          VERSION OF) LOADER FROM THE GLOBAL LIBRARY SET.                LDR0238
          GMT    76/08/27    LOADER                        PSR           LDR0238
                                                                         LDR0238
 LDR0238A IDENT LDR0238 CHANGED CYBER LOADERS ENTRY POINT *LDTEST* TO    LDR0238
          *LOADLDR*.  THIS RESPONSE CHANGES THE LAST REFERENCE OF        LDR0238
          *LDTEST* TO *LOADLDR* ALSO.                                    LDR0238
          CJL    76/09/17    LOADER                        PSR           LDR0238
                                                                         LDR0238
 LDR0242  CYBER LOADER IS MODIFIED TO USE EXTERNAL NAMES PROPERLY        LDR0242
          WHEN ENCOUNTERED IN *LINK* OR *XLINK* TABLES.                  LDR0242
          CJL    76/09/09    LOADER,LOADU                  PSR           LDR0242
                                                                         LDR0242
 LDR0249  SEGMENT LOADS WILL NOT INTERFACE WITH CMM BECAUSE LOADER WILL  LDR0249
          LOOK FOR CMM.UNL AND CMM.SDA ON LIBRARY SYSIO INSTEAD OF THE   LDR0249
          GLOBAL LIBRARY SET.                                            LDR0249
          GEL    76/09/14    LOADER                        PSR           LDR0249
                                                                         LDR0249
 *L446*    *************************************************************
 F4600LD  MODIFY CYBER LOADER UNDER NOS/BE TO CHECK ACCESS LEVELS OF
          OF ABS PROGRAMS FROM LIBRARIES.  USEP FOR ABS PROGRAMS WILL 
          NOT BE ALLOWED. 
          GEL    76/06/30    LOADER                        FEATURE
  
 F4600LO  MODSET TO IMPLEMENT THE CCL CALL-BY-NAME FEATURE.  THE
          LOADER WILL CALL THE CCL BEGIN ROUTINE TO PROCESS THE 
          PROCEDURE.
          SBJ    76/06/02    LOADER,LOADU                  FEATURE
  
 F7540LD  MODIFY CYBER LOADER TO SUPPORT THE CYBER 176 HARDWARE.
          READS AND WRITES ARE LIMITED TO 1777B WORDS AND THE JP
          INSTRUCTION WILL NOT CLEAR THE STACK. 
          GEL    05/10/76    LOADER,LOADU,TRAPPER          FEATURE
  
 F7820LD  CHANGE COMCSYS TO CORRESPOND TO CHANGES TO THE MESSAGE MACRO. 
          GMT    76/12/28    COMCSYS                       FEATURE
  
 FDLRES   ADD FAST DYNAMIC LOADER RESIDENT TO OLDPL.
          GMT    76/06/12    FDLRES                        FEATURE
  
 FDLOCR   ADD FDL OVERLAY-CAPSULE RESIDENT TO OLDPL.
          GMT    76/06/12    FDLOCR                        FEATURE
  
 FEAT161  CYBER LOADER IS MODIFIED TO SUPPORT WEAK EXTERNALS, TO
          GENERATE CAPSULES IN SUPPORT OF *FDL*, TO PROCESS NEW 
          FORMAT LIBRARY TABLES IN SUPPORT OF *FDL*, AND TO 
          STATICALLY LOAD CAPSULES.  THE CYBER LOADER VERSION NUMBER
          WILL NOW BE 1.3.
          CJL    76/03/23    LOADER,LOADU                  FEATURE
  
 FEAT161A CORRECT PROBLEMS WITH ORIGINAL FEAT161 CODE SET.
          GMT    76/08/13    LOADER                        FEATURE
  
 FEAT161B MODIFY *LDRTEXT* TO IMPLEMENT THE *LDREQ STAT*
          REQUEST IN SUPPORT OF THE STATIC LOADING FEATURE OF *FDL*.
          CJL    76/01/27    LDRTEXT,LMACOM                FEATURE
  
 FEAT161C RETURN CORRECT STATUS IF DUPLICATE CAPSULE LOAD ATTEMPTED.
          GMT    76/10/12    FDLRES                        PSR
  
 FEAT180  CYBER LOADER IS MODIFIED TO GENERATE OVERLAY-CAPSULES 
          (OVCAPS) AND TO ALLOW CAPSULES AS INPUT DURING ENCAPSULATION. 
          CJL    76/08/19    LOADER,LOADU                  FEATURE
  
 FEAT180B THIS CODE EXTENDS THE *LDV* ZERO PARAMETER ADDRESS REQUEST
          (RUN(G) CALL) TO ALLOW BOTH A LOCAL FILE LOAD OR A TABLE OF 
          LOADER DIRECTIVES.
          GEL    76/05/15    LOADER,LOADU                  FEATURE
  
 FEAT180C THIS MODSET CONTAINS ALL LOADER MODS NECESSARY FOR FORTRAN
          INTERACTIVE DEBUG.  THIS INCLUDES THE PROCESSING OF LINE
          NUMBER AND SYMBOL TABLES, THE GENERATION OF FILE *ZZZZZDT* AND
          THE PROCESSING OF THE INTERACTIVE DEBUG CONTROL BYTE. 
          GEL    76/07/09    LOADER,LOADU                  FEATURE
  
 LDR0224X THE LOADER WOULD LOOP ON AN ILLEGAL I/O REQUEST.
          GEL    76/09/14    LOADER,LOADU                  PSR
  
 LDR0247  IF A FATAL USER CALL ERROR OCCURS *PILOAD* WILL NOT CHANGE ITS
          CMM BLOCK TO A FIXED LENGTH-FIXED POSITION BLOCK. 
          GEL    76/09/14    LOADU                         PSR
  
 LDR0248  PROGRAMS SPECIFIED ON THE *INCLUDE* DIRECTIVE WERE NOT PULLED 
          IN AS REQUIRED. 
          GEL    76/09/11    LOADER                        PSR
  
 LDR0260  CLEAN UP LOADER FOR *DOCK* RUN. 
          GMT    76/09/16    LOADER                        PSR
  
 LDR*77   MODIFY CYBER LOADER COPYRIGHT INFORMATION TO INCLUDE 1977.
          CJL    76/10/21    LDRTEXT,PILOAD,FDLRES,FDLOCR,LDRCNTL,
                             LOADER,LOADU,UCLOAD,TRAP,TRAPPER,SEGRES. 
  
 *L452*    *************************************************************
 LDR0182  ALLOW ANY CHARACTER WITH A DISPLAY CODE .GT. 44B EXCEPT .)$*
          AND BLANK TO BE THE VALID SEPARATORS ON ENTRY POINT AND FILE
          NAME TYPE CALLS.
          CJL    76/09/23    LOADER                        PSR
  
 LDR0239  SET EXECUTION FL CORRECTLY UNDER NOS WHEN IN NO-REDUCE MODE.
          CJL    76/12/07    LOADER                        PSR
  
 LDR0243  IF $ IS THE EIGHTH CHARACTER OF A CONTROL STATEMENT PARAMETER 
          THE LOADER WILL GO OUT OF LITERAL MODE CAUSING *INCOMPLETE
          PARAM ON CONTROL CARD*. 
          CJL    76/09/20    LOADER,LOADU                  PSR
  
 LDR0244  IF THREE OR MORE OCCURENCES OF THE SAME ENTRY POINT NAME
          APPEARS, THE SEGMENT LOADER WILL ONLY USE THE FIRST TWO WHEN
          SEARCHING FOR A COMPATIBLE ENTRY. 
          CJL    76/09/20    LOADER                        PSR
  
 LDR0250  PREVENTS SEGRES FROM GETTING MODE 0 AT ADDRESS 0 IF A0 IS 
          NEGATIVE IN THE USERS PROGRAM.
          CJL    77/01/19    SEGRES                        PSR
  
 LDR0255  CORRECTLY SET FILE NAME AND LIBRARY BIT IN COMMUNICATION
          AREA FOR SEGMENTED PROGRAMS.
          CJL    77/01/19    SEGRES                        PSR
  
 LDR0280  PREVENT WIPEOUT OF USER MESSAGE BY UNRECALLED *LGO.* MESSAGE. 
          CJL    76/12/07    LOADER                        PSR
  
 LDR0297  SEGMENT LOADER IS MODIFIED TO FIND COMPATIBLE 
          ENTRY POINTS PROPERLY.
          CJL    77/01/27    LOADER                        PSR
  
 LDR0301  MODIFY LOAD MAP ROUTINE TO TRUNCATE ECS ENTRY POINT 
          ADDRESSES TO 21 BITS AND CM ENTRY POINT ADDRESSES TO 18 BITS. 
          DBK    77/02/22    LOADER,LOADU                  PSR
  
 LDR0302  LOADER ERROR MESSAGE FE0504 IS EXPANDED TO INDICATE WHERE 
          INVALID RELOCATION OCCURS (FOR CAPSULES AND OVCAPS).
          CJL    77/02/21    LOADER                        PSR
  
 LDR0304  REMOVE NON-STANDARD RELOCATION FROM *PILOAD*. 
          DBK    77/02/24    PILOAD                        PSR
  
 LDR0314X MODIFY CYBER LOADER TO PASS PARAMETERS PROPERLY UNDER 
          *NOS* ON A LOCAL FILE NAME CALL LOAD SUCH AS *LGO*. 
          CJL    77/03/22    LOADER                        PSR
  
 *L460*    *********************************************************************
 LDRA204  IF ON *NOS* AN ILL FORMATTED LIBRARY IS SPECIFIED FOR A LOAD, 
          SUBSEQUENT GOOD LIBRARIES ARE ALSO FLAGGED AS ILL FORMATTED.
          DBK    77/07/15    LOADER,LOADU                  PSR
  
 LDR0307  SEGMENT LOADER IS CORRECTED TO ALLOW A LITERAL TO BE THE
          LAST SUBFIELD SPECIFIED IN A DIRECTIVE. 
          SDM    77/02/28    LOADER                        PSR
  
 LDR0309  SEGMENT LOADER IS MODIFIED TO PROPERLY TERMINATE LOCAL FILE 
          READS IN PASS 1 PROCESSING.  DOUBLE *EORS* ON NOS/BE FILES
          WERE NOT HANDLED PROPERLY AND DID NOT TERMINATE READING FROM
          THE CURRENT LOAD FILE.  NOTE THAT DOUBLE *EORS* DO NOT
          TERMINATE READING FROM LOAD FILES UNDER NOS.
          CJL    77/03/03    LOADER                        PSR
  
 LDR0312  MODIFICATION TO USE *ACE* TO BOTH CRACK AND 
          DAYFILE CONTROL CARDS ON NOS/BE.
          DBK    77/03/16    LOADER                        PSR
  
 LDR0316  WHEN LOADER LOADS CAPSULES FROM THE NOS/BE LIBRARIES THE
          FL FIELD OF THE PNT ENTRY IS NOW IGNORED. 
          SDM    77/03/30    LOADER                        PSR
  
 LDR0318  SEGLOAD OF PROGRAM CONTAINING ECS COMMON DID NOT GIVE 
          ERROR IF ECS CODE WAS NOT ASSEMBLED(IP.MECS=0). 
          DBK    77/04/06    LOADER,LOADU                  PSR
  
 LDR0322  LOADER NOW ISSUES ERROR MESSAGE WHEN A $ OR AN * IS USED AS A 
          SEPERATOR IN A NAME CALL OR *EXECUTE* CONTROL CARD. 
          SDM    77/05/06    LOADER                        PSR
  
 LDR0322A * IS CONSIDERED AN ALPHANUMERIC WHEN USED ON A CONTROL CARD.
          SDM    77/07/20    LOADER                        PSR
  
 LDR0323  SEGRES WAS IMPROPERLY SETTING *HA* AT INITIALIZATION. 
          THE FIELD LENGTH FOR SEGMENTS WITH BLANK COMMON WAS 
          ROUNDED UP TWICE. 
          DBK    77/05/11    SEGRES                        PSR
  
 LDR0342  ANY ATTEMPT TO PRESET INTO A COMMON BLOCK IN ANOTHER
          SEGMENT, EVEN IF CONDITIONALLY, CAUSED A FATAL ERROR. 
          DBK    77/07/21    LOADER                        PSR
  
 LDR0325  LOADER ONLY CHECKED THE COMMON BLOCK NAME TO DETERMINE IF 
          NE4340(FE0450 FOR SEGLOAD) SHOULD BE ISSUED.  CORRECTED TO
          CHECK BOTH PROGRAM NAME AND BLOCK ID. 
          SDM    77/05/19    LOADER 
  
 LDR0330  *SEGRES* INITIALIZATION IS MODIFIED TO PRESET FIELD LENGTH. 
          DBK    77/08/01    LOADER,SEGRES                 PSR
  
 LDR0333  FIXES *ILLEGAL I/O REQUEST, FILE ZZZZZ03* IF RETURNING
          SYSTEM FILES AFTER TABLE OVERFLOW ON NOS/BE.
          DBK    77/05/18    LOADER,LOADU                  PSR
  
 LDR0334  CYBER LOADER IS MODIFIED TO FILL COMMON BLOCKS PROPERLY 
          WHEN GENERATING OVCAPS. 
          CJL    77/05/18    LOADER                        PSR
  
 LDR0340  IF THE OPPOSITE OF THE DEFAULT VERSION OF *CMM* WAS 
          SPECIFIED BY A LIBLOAD REQUEST, THE SEGMENT GENERATOR WOULD 
          STILL USE THE DEFAULT VERSIONS OF THE PROGRAMS CONTAINING 
          THE ENTRY POINTS *CMM.SDA*, *CMM.SUA*, AND *CMM.UNL*. 
          DBK    77/06/08          LOADER                  PSR
  
 LDR0341  LOADER ERROR MESSAGE FE0205 CHANGED TO BE COMPATIBLE WITH 1AJ 
          ON NOS/BE.
          SDM    77/07/20    LOADER                        PSR
  
 LDR0344  CYBER LOADER IS MODIFIED TO REMOVE LINKAGES PROPERLY
          WHEN GENERATING OVCAPS. 
          CJL    77/06/23    LOADER                        PSR
  
 LDR0347  WRONG TRACK IDENT WAS INSERTED IN REGISTER DUMPS AND OUTPUT 
          WAS BEING LOST IF TRACKING BOTH A SUBROUTINE AND AN AREA
          WITH A RETURN JUMP TO THAT SUBROUTINE.
          DBK    77/07/11    TRAPPER                       PSR
  
 LDR0349  LOADER IS MODIFIED TO CHECK THE INTERACTIVE DEBUG CONTROL 
          BYTE PROPERLY IN INITIALIZATION.  INTERACTIVE DEBUG IS
          LOADED AND GIVEN CONTROL PROPERLY IN LOAD/EXECUTE MODE. 
          CJL    77/06/30    LOADER                        PSR
  
 LDR0354  CORRECTS ERONEOUS *FIELD LENGTH ERROR* ABORT WHEN TRACING 
          A PROGRAM WHICH CHANGES ITS FIELD LENGTH. 
          DBK    77/08/05    TRAPPER                       PSR
  
 *L470*    *************************************************************
 LDRA209  CROSS REFERENCE FOR OVERLAY CAPSULES WOULD LIST WRONG 
          PROGRAM NAME FOR SOME REFERENCED ADDRESSES. 
          USER CALL LOADER WAS NOT SAVING A5 REGISTER WHEN CALLING
          *CMM* TO GROW A BLOCK.
          DBK    77/08/12    LOADER,LOADU                  PSR
  
 LDRA214  LOADER IS MODIFIED TO SEARCH LIBRARIES SPECIFIED ON 
          INTERNAL LDSET LIB DIRECTIVES PROPERLY. 
          CJL    77/08/25    LOADER                        PSR
  
 LDRA218  CORRECTS *BUFFER ARGUMENT ERROR* ON *NOS* WHEN READING
          *ULIB* RECORD.
          DBK    77/10/05    LOADER,LOADU                  PSR
  
 LDRA225  WHEN A CAPSULE WAS STATICLY LOADED, THE LOAD MAP DID NOT
          INCLUDE THE PREFIX TABLE INFORMATION WHEN LISTING THE 
          BLOCK ASSIGNMENTS.
          DBK    77/10/07    LOADER,LOADU                  PSR
  
 LDR0293  IF BOTH A MOVEABLE AND A FIXED PROGRAM REFERENCED AN ENTRY
          POINT IN A MOVEABLE PROGRAM, SEGMENT LOADER WAS MIS-ASSIGNING 
          THE MOVEABLE PROGRAM TO THE SEGMENT CONTAINING THE FIXED
          PROGRAM.
          SDM    77/08/10    LOADER                        PSR
  
 LDR0356  OMIT COPYRIGHT PHRASE FROM LOAD MAPS. 
          DBK    77/08/12    LOADER,LOADU                  PSR
  
 FDLCOM   ADD COMDECK DEFINING FDL COMMON BLOCK AND SYMBOLS.
          GMT    76/10/19                      FEATURE
  
 LDR0373  CAPSULES WERE NOT PROCESSED PROPERLY BY SEGMENT LOADER. 
          DBK    77/09/28    LOADER                        PSR
  
 FDLMMI   ADD NEW FDL MEMORY MANAGER INTERFACE TO OLDPL.
          GMT    76/10/19    FDLMMI                        FEATURE
  
 FOLRES   ADD NEW FAST OVERLAY LOADING RESIDENT TO OLDPL. 
          GMT    76/11/03    FOLRES                        FEATURE
  
 LDRA220  FOL RESIDENT WHEN ENTERED AT FOL.LOD MUST SAVE/RESTORE RA+65. 
          CJL    77/10/04    FOLRES                        PSR
  
 LDRA224  *FDL.MMI* IS MODIFIED TO CORRECTLY PROCESS A CAPSULE UNLOAD 
          WHILE IN THE MIDDLE OF A LOAD.  THE NEWLY LOADED CAPSULE IS 
          LINKED INTO THE CAPSULE CHAIN PROPERLY. 
          CJL    77/10/06    FDLMMI                        PSR
  
 LDRA217  *FOL* RESIDENT IS MODIFIED TO SPECIFY NONZERO LEVEL NUMBERS 
          WHEN LOADING OVERLAYS VIA *LOADREQ* CALLS.  THIS IS SO *LDR*
          ON *NOS* WILL RETURN CONTROL TO *FOL* WHEN THE LOAD IS DONE.
          CJL    77/09/27    FOLRES                        PSR
  
 FEAT184  CYBER LOADER IS MODIFIED TO GENERATE MULTIPLE ENTRY POINT 
          MAIN OVERLAYS ((0,0) LEVEL ONLY). 
          CJL    77/03/01    LOADER                        FEATURE
  
 FEAT184A DELETE MEMORY MANAGER INTERFACE FROM FDL.RES. 
          GMT    76/10/19    FDLRES                        FEATURE
  
 FEAT184B SEGMENT LOADER IS MODIFIED TO ALLOW COMMENT FIELDS ON 
          SEGLOAD DIRECTIVES.  A SEGLOAD DIRECTIVE MAY NOW BE 
          CONTINUED ALTHOUGH IT DOES NOT EXTEND TO COLUMN 72. 
          SDM    77/02/25    LOADER                        FEATURE
  
 FEAT184C THE OVERLAY-CAPSULE (OVCAP) RESIDENT, FDLOCR, IS MODIFIED 
          TO INTERFACE WITH THE FOL DIRECTORY.
          CJL    77/03/04    FDLOCR                        FEATURE
  
 FEAT184D LOADER AND LDRTEXT ARE MODIFIED TO ADD THE NEW *DEBUG*
          PRESET OPTION.  IT IS ALLOWED AS AN INSTALLATION DEFAULT
          OPTION, AS A LDSET CONTROL CARD OPTION, OR AS A LDREQ 
          OPTION FOR USER-CALL LOADS. 
          SDM    77/03/18    LOADER,LOADU,LDRTEXT          FEATURE
  
 FEAT184E CYBER LOADER IS MODIFIED TO SUPPORT SECURE SYSTEM 
          MEMORY AND EXECUTE ONLY FILES ON NOS. 
          DBK    77/04/05    LOADER,LOADU                  FEATURE
  
 FEAT184EA  REMOVES FORCED PRESETTING OF ECS TO ZEROS WHEN
          PRESET(NONE) SPECIFIED. 
          DBK    77/09/23    LOADER,LOADU                  FEATURE
  
 FEAT184F LOADER IS MODIFIED TO SUPPORT 6 AND 8 LINES PER INCH OUTPUT 
          FORMAT AND VARIABLE PAGE SIZE FOR THE LOAD MAP. 
          SDM    77/04/19    LOADER,LDRTEXT,LOADU          FEATURE
  
 LDRA212  LOADER IS MODIFIED TO PROCESS LDSET REQUESTS PROPERLY 
          WHEN PS AND PD REQUESTS ARE ALSO ON THE LDSET CARD. 
          SDM    77/08/29    LOADER                        PSR
  
 FEAT184G *FDL* RESIDENT IS MODIFIED TO PROCESS ADDRESSES IN
          *PASSLOC* TABLES DIFFERENTLY.  AN UNSATISFIED ADDRESS 
          (BIT 17 SET) WILL NOW BE PROCESSED JUST AS AN 
          UNSPECIFIED ADDRESS (ADDRESS FIELD = 0).
          MODIFY *FDLRES* TO RECOGNIZE ONE WORD *ENTRY* TABLES IN 
          ADDITION TO *PASSLOC* TABLES. 
          DBK    77/04/20    FDLRES                        FEATURE
  
 FEAT184H CYBER LOADER WHILE IN CAPSULE/OVCAP GENERATION MODE IS
          MODIFIED TO 1) NOT SATISFY EXTERNALS FROM *SYSLIB* BY 
          DEFAULT, AND 2) PROVIDE A METHOD WHICH WILL DISABLE THE 
          DEFAULT ENTRY POINT DETERMINATION FOR CAPSULES/OVCAPS.
          CJL    77/04/25    LOADER                        FEATURE
  
 FEAT184J ADDS *ENTHDR* AND *ENT* MACROS TO LDRTEXT.
          DBK    77/04/25    LDRTEXT                       FEATURE
  
 FEAT184M CYBER LOADER IS MODIFIED TO GENERATE AND LOAD *FOL* 
          OVERLAY STRUCTURES. 
          CJL    77/06/13    LOADER,LOADU                  FEATURE
  
 LDRA226  LOADER IS MODIFIED TO SET UP THE FILE SPECIFICATION ENTRY 
          CORRECTLY IN RA+106B FOR *FOL* OVERLAY STRUCTURES LOADED
          FROM NOS/BE SYSTEM LIBRARIES. 
          CJL    77/10/10    LOADER                        PSR
  
 LDRA247  CYBER LOADER UNDER NOS IS MODIFIED TO NOT DISABLE SSJ=
          PRIVILEGES WHEN LOADING CCL TO PROCESS A LOCAL FILE 
          LOAD OF A CCL PROCEDURE.
          CJL    78/01/12    LOADER                        PSR
  
 LDR0310  CYBER LOADER IS MODIFIED TO DIAGNOSE INCONSISTENT FILE
          USAGE (INPUT FILE = OUTPUT FILE) IN OVERLAY GENERATION. 
          CJL    77/08/09    LOADER                        PSR
  
 LDR*78   MODIFY CYBER LOADER COPYRIGHT INFORMATION TO INCLUDE 1978.
          CJL    77/07/22    LDRTEXT,PILOAD,FDLRES,FDLMMI,FDLOCR, 
                             FOLRES,LDRCNTL,LOADER,LOADU,UCLOAD,TRAP, 
                             TRAPPER,SEGRES.
  
 F66LDR   CYBER LOADER IS MODIFIED TO ADD A HEADER WORD TO THE CORE 
          IMAGE INDEX ON FILE *ZZZZZDT* IN SUPPORT OF THE CYBER 
          INTERACTIVE DEBUGGER (*CID*). 
          CJL    77/07/24    LOADER                        FEATURE
  
 LDR0349A CYBER LOADER IS MODIFIED TO SET THE INTERACTIVE DEBUG BYTE
          INTO THE CONTROL POINT AREA PROPERLY FOR INTERACTIVE DEBUG. 
          CJL    77/07/21    LOADER                        PSR
  
 LDRA229  CYBER LOADER IN DEBUG MODE (IP.LDBG.NE.0) IS MODIFIED TO
          ISSUE DEBUGGING MESSAGES IN RECALL, THEREBY AVOIDING
          GARBLED MESSAGES TO THE B-DISPLAY AND MSG ARG ERRORS. 
          DBK    77/10/24    LOADER,LOADU                  PSR
  
 LDRA231  *FDLMMI* IS MODIFIED TO NOT CLOBBER THE *LOADQ* PARAMETER 
          LIST WHEN CALLED TO UNLOAD IN THE MIDDLE OF A LOAD. 
          CJL    77/10/24    FDLMMI                        PSR
  
 LDR0379  SOME PAGES IN LOAD MAP COULD GET MORE LINES THAN DEFINED
          BY *PGSIZ*.  UNNECESSARY SUBTITLE LINES ARE ALSO ELIMINATED.
          DBK    77/10/27    LOADER,LOADU                  PSR
  
 LDRA234  CYBER LOADER IS MODIFIED TO RELOCATE ENTRY POINTS IN
          BLANK COMMON CORRECTLY. 
          CJL    77/11/15    LOADER,LOADU                  PSR
  
 LDRA236  CYBER LOADER IS MODIFIED TO WRITE OVERLAYS TO A 
          PERMANENT FILE CORRECTLY UNDER NOS/BE.
          CJL    77/11/28    LOADER                        PSR
  
 LDR0380  IF A LOADER CONTROL CARD USES COLUMNS 79 AND 80 AND IS IN 
          ERROR, CYBER LOADER IS MODIFIED TO OUTPUT IN THE MAP ONLY THE 
          CARD IMAGE. 
          SDM    77/11/28    LOADER,LOADU                  PSR
  
 LDRA250  CORRECTS ERONEOUS *FE0240* WHEN SEGMENT LOADER PROCESSED
          *XTEXT* TABLE.
          DBK    78/01/13    LOADER                        PSR
  
 LDRA244  LOADER IS MODIFIED TO VALIDATE INTERNAL LDSET LIB TABLES
          FOR VALID FILE NAMES AND TO USE ONLY 7 CHARACTERS WHEN
          CHECKING IF A LIBRARY NAME IS IN THE LIBRARY SET ALREADY. 
          CJL    77/12/19    LOADER                        PSR
  
 *L477*    **************************************************** 
 LDRA202  CYBER LOADER IN OVERLAY GENERATION MODE IS MODIFIED TO
          REMOVE LINKAGES (I.E. BLOCKS AND ENTRY POINTS) PROPERLY 
          WHEN AN *O=* PARAMETER ON THE *OVERLAY* DIRECTIVE HAS 
          CAUSED THE OVERLAY ORIGIN TO BE BELOW THE LWA+1 OF THE
          PREVIOUSLY GENERATED OVERLAY. 
          CJL    78/01/04    LOADER                        PSR
  
 LDRA243  MODE ERROR LOADING PP PROGRAM ON NOS. 
          DBK    78/02/02    LOADER                        PSR
  
 LDRA257  TABLE MOVE WHILE PROCESSING *ENTR* TABLE AND RELOCATING ENTRY 
          POINTS CAUSED PROBLEMS. 
          SDM    77/02/06    LOADER                        PSR
  
 LDRA259  MODIFY LIBLOAD PROCESSOR TO NOT LOAD PROGRAM WITH SPECIFIED 
          ENTRY POINT IF THE ENTRY POINT IS ALREADY SATISIFIED. 
          DBK    78/02/14    LOADER,LOADU                  PSR
  
 LDRA264  CYBER LOADER IS MODIFIED TO CHECK IF A PROGRAM MENTIONED
          ON A *USEP* REQUEST IS ALREADY LOADED AND NOT LOAD TWICE. 
          CJL    78/02/07    LOADER,LOADU                  PSR
  
          ON *NOS* NON-EXISTANT LIBRARY WAS DIAGNOSED AS
          ILL-FORMATTED LIBRARY.
          DBK    78/02/09    LOADER,LOADU                  PSR
  
 LDRA267  MODE ERROR IN ENCAPSULATION IF NO PROGRAMS LOADED.
          DBK    78/02/10    LOADER                        PSR
  
          CYBER LOADER IS MODIFIED TO PROCESS *SUBST* REQUESTS CORRECTLY
          DURING SEGMENT GENERATION.
          SDM    78/02/15    LOADER                        PSR
  
 LDR0390  CHANGE NE4200 MESSAGE TO *LOADER CARD ERROR - FOLLOWING 
          CARD IGNORED*.
          DBK    78/01/26    LOADER,LOADU                  PSR
  
 LDR0391  LAST CONTROL CARD WAS NOT RESTORED TO B-DISPLAY IF
          *IP.LRT* WAS NONZERO AND *IP.LDBG* WAS ZERO.
          DBK    78/01/20    LOADER                        PSR
  
 LDRA239  LOADER IS MODIFIED TO LIST ZERO LENGTH COMMON BLOCKS BEFORE 
          OWNING PROGRAM BLOCK.  THIS ALLOWS THE CORRECT PROGRAM
          REFERENCES TO BE GIVEN IN THE ENTRY POINT REFERENCE CHAIN.
          SDM    77/01/25    LOADER,LOADU                  PSR
  
 LDRA261  MODIFY LOADER TO VALIDATE INTERNAL LDSET REQUESTS.
          DBK    78/02/09    LOADER,LOADU                  PSR
  
 LDRA265  SEGMENT LOADER GENERATED BAD BINARIES IF BINARY OUTPUT
          FILE WAS NOT TAPE AND WAS NOT POSITIONED AT BEGINNING OF
          INFORMATION.
          DBK    78/02/07    LOADER                        PSR
  
 LDRA270  ERROR OUTPUT COULD BE LOST DURING SEGLOAD.
          DBK    78/03/03    LOADER                        PSR
  
 LDRA273  SYNTAX ERROR(ILLEGAL USE OF *$*) ON OBJECT DIRECTIVES WAS 
          DIAGNOSED AS *BAD LOADER INPUT*.
          DBK    78/03/15    LOADER,LOADU                  PSR
  
 LDRA277  CYBER LOADER IS MODIFIED TO HANDLE INTERACTIVE DEBUG
          PROPERLY WHEN GENERATING FAST OVERLAY LOADING STRUCTURES. 
          CJL    78/04/10    LOADER                        PSR
  
 LDRA278  CYBER LOADER IS MODIFIED TO NOT MAKE A BAD *LDL* CALL IN
          SEGLOAD PASS 1 PROCESSING WHILE READING CM-RESIDENT PROGRAM 
          BODIES AND COPYING THEM TO THE ZZZZZ31 SCRATCH FILE.
          CJL    78/04/24    LOADER                        PSR
  
 LDRA283  AFTER OVERLAYS HAVE BEEN LOADED USING FOL, SUBSEQUENT (0,0) 
          OVERLAYS ARE NOT LOADED BEGINING AT THE CORRECT FWA.
          CJL    78/06/12    LOADER                        PSR
  
 LDR0381  CYBER LOADER IS MODIFIED TO CALL *RPV* TO INSURE RETURN TO
          LOADER AFTER UNCONTROLLED ABORT SO THAT SYSTEM FILES CAN
          BE RETURNED.
          DBK    78/03/07    LOADER                        PSR
  
 LDRO395  CYBER LOADER ISSUES ERRONEOUS ERROR MESSAGE 4110 DURING 
          SEGMENT LOADS.
          SDM    78/03/06    LOADER,LOADU                  PSR
  
 LDR0403  CYBER LOADER ALWAYS SETS REDUCE FLAG WHEN CALLING SEGRES. 
          SDM    78/04/05    LOADER,LOADU                  PSR
  
 *L485*    *****************************************************
 FEAT199B MODIFIES LOADER FOR PARTIAL WORD TEXT TABLE SUPPORT.
          DBK    77/11/23    LOADER,LOADU                  FEATURE
  
 FEAT199A LDSET(COMMON) FEATURE IS IMPLEMENTED IN SEGMENT LOADER TO 
          FACILITATE MOVING OF LABELED COMMON BLOCKS TO THE NEAREST 
          COMMON ANCESTOR SO DUPLICATES ARE ELIMINATED. 
          DBK    77/09/16    LOADER,LOADU                  FEATURE
  
 FEAT199C CYBER LOADER IS MODIFIED SO BASIC LOADS AND SEGMENTED LOADS 
          SPECIAL CASE COMMON BLOCKS AND/OR LOCAL VARIABLES THAT ARE
          COLLECTED INTO A COMMON BLOCK, /S$A$V$E/. 
          SDM    78/01/18    LOADER,LOADU                  FEATURE
  
 F7560EA  *LDRCNTL* IS MODIFIED TO SUPPORT THE *REDUCE(ECS)*
          CONTROL CARD ON NOS/BE. 
          CJL    78/04/21    LDRCNTL                       FEATURE
  
 F7560EB  CYBER LOADER IS MODIFIED TO SUPPORT THE *REDUCE(ECS)* 
          CONTROL CARD ON NOS/BE. 
          CJL    78/04/21    LOADER                        FEATURE
  
 LDRA286  SEGMENT LOADER MODES OUT WHILE PROCESSING *XLINK* TABLE.
          SDM    78/07/05    LOADER                        PSR
  
 LDR0258A CYBER LOADER IS CORRECTED TO IMPLICITLY INCLUDE PROGRAMS NAMED
          SEGNAME IN SEGMENT NAMED SEGNAME.  THIS IDENT PURGES LDR0258. 
          SDM    78/06/27    LOADER                        PSR
  
 LDRA287  CYBER LOADER IS MODIFIED TO ACCEPT $ IN THE MIDDLE OF A 
          CONTROL CARD PRAMETER.
          SDM    78/07/26    LOADER                        PSR
  
 *L498*    ************************************************ 
          CYBER LOADER IS MODIFIED TO SUPPORT BASIC INTERACTIVE DEBUG.
          THE BLOCK TABLE ON THE *ZZZZZDT* FILE IS MODIFIED TO CONTAIN
          FOUR WORDS INSTEAD OF THE THREE IT NOW DOES.  ALSO IN THIS
          CHANGE, THE HEADER WORD FOR THE CORE IMAGE INDEX WRITEN TO
          THE *ZZZZZDT* IS MODIFIED TO INCLUDE A VERSION NUMBER FOR 
          INTERACTIVE DEBUG.
          SDM    78/11/26    LOADER                        FEATURE
  
          CYBER LOADER IS MODIFIED TO EXPAND PMDUMP TO WRITE ZZZZZDT FILES FOR
          NON INTERACTIVE REQUESTS IN SUPPORT OF FTN5 PMDUMP. 
          PCL    78/11/08    LOADER                        FEATURE
  
 LDRA291  OVERLAY PROCESSOR WAS NOT DETECTING *EOF* IF LOADING FROM 
          *NOS* LIBRARY AS RESULT OF *LIBLOAD* REQUEST. 
          DBK    78/11/29    LOADER                        PSR
  
 LDRA303  IF *SLOAD* WAS IN PROGRESS, BINARY DIRECTIVES, PROCEDURE
          FILES, OR *ERRORS* RECORDS WERE NOT SKIPPED.
          DBK    78/11/30    LOADER,LOADU                  PSR
  
 LDRA304  IF A REPLICATION TABLE ENTRY WAS FOUND TO REFERENCE AN
          ILLEGAL BLOCK, THE REPLICATION WAS STILL PERFORMED. 
          DBK    78/11/21    LOADER                        PSR
  
 LDRA306  LOADER IS MODIFIED TO CALL ENTRY POINT *CCLBRWE* IN CCL 
          PLC    12/29/78    LOADER                        PSR
  
 LDRA308  LOADER IS MODIFIED TO CLEAR PROCESSOR BITS IN *IDCB* BYTE 
          BEFORE EACH LOAD SEQUENCE.
          PCL    1/15/79     LOADER                        PSR
  
 LDRA309  CYBER LOADER IS MODIFIED TO LIMIT *FID* PROCESSING TO GENERATE
          ONLY THE *ZZZZZDT* FILE IF *PMD* PROCESSING IS IN EFFECT. 
          PLC    1/24/79     LOADER                        PSR
  
 LDRA318  LOADER CALL TO LDL IS UNNECESSARY AND DISTURBES *CID* 
          PROCESSING. 
          PLC    2/23/78     LOADER                        PSR
  
 LDRA323  LOADER IS MODIFIED TO CORRECT PROBLEM OF INFINITE LOOPING 
          WHEN ALLOCATING SPACE FOR THE *PMD*/*CID* FET.
          PLC    3/5/79      LOADER                        PSR
  
 LDRA329  DURING SEGMENT LOADS PROGRAMS MAY INCORRECTLY BE ASSIGNED TO
          SEGMENTS IF ONLY ONE PROGRAM OWNS AND PRESETS A LABELED COMMON
          BLOCK THAT WAS DECLARED AS *COMMON*.  LOADER IS MODIFED TO
          CORRECT THIS. 
          PLC    3/23/79     LOADER                        PSR
  
 LDRA336  WHEN PROCESSING PTEXT TABLES LOADER WOULD USE TLIB INSTED OF
          TSCR TO HOLD THE TEXT WHENEVER FL RESTRICTIONS REQUIRED TABLE 
          MOVING.  CODE WAS ADDED TO MODIFY THIS. 
          PLC    4/2/79      LOADER                        PSR
  
 LDR0399  CYBER LOADER IS MODIFIED TO DETERMINE ORIGIN OF ECS BLANK 
          COMMON  DURING OVERLAY LOADS. 
          PCL                78/12/12                      LOADER 
  
 LDR0413  BLANK COMMON WAS NOT TRUNCATED WITH A NE4105 ERROR IF 
          BLANK COMMON LENGTH CAUSED LWA+1 OF LOAD TO EXCEED 400000B. 
          DBK    78/11/14    LOADER                        PSR
  
 LDR0414  THE OVERLAY GENERATOR IS MODIFIED TO NOT LOAD PROGRAMS WITH 
          DUPLICATE NAMES FROM NON LIBRARY LOAD FILES WHEN GENERATING 
          OVERLAYS. 
          CJL    78/05/30    LOADER                        PSR
  
 LDR0416  LEVEL DIRECTIVE NOT IGNORED BEFORE A TREE DIRECTIVE WHEN
          PRECEEDED BY AN INCLUDE OR A GLOBAL DIRECTIVE.
          SDM    78/09/12    LOADER                        PSR
 LDR0425  TO BE CONSISTANT WITH THE BASIC LOADER, SEGRES IS MODIFIED
          TO ZERO OUT UNUSED PARAMETER WORDS IN THE COMMUNICATION 
          AREA. 
          DBK    78/11/15    SEGRES                        PSR
  
 LDR0427  LOADER WAS GIVING NE4422 ERROR INSTEAD OF NE4340 ERROR
          WHEN PROCESSING *REPL* TABLES.
          DBK    78/11/16    LOADER                        PSR
  
 LDR0428  CYBER  LOADER IS MODIFIED TO FLAG WEAK EXTERNALS AS *WEAK*
          INSTEAD OF *UNSAT*. 
          SDM                78/09/08       LOADER,LOADU              PS
  
 LDR0434  LDREQ EXECUTE MACRO DID NOT GENERATE PARAMETER SEPERATORS.
          DBK    78/11/17    LDRTEXT                       PSR
  
 LDR0436  REPRIEVE PROCESSING WAS NOT DISABLED BEFORE EXECUTING *COS* 
          BINARY ON NOS.
          DBK    78/11/21    LOADER                        PSR
  
 LDR0446  LOADER IS CORRECTED TO STORE LIBRARY NAMES IN COMMUNICATION 
          AREA INSTEAD OF *TPGM* ON OVERLAY GENERATIONS.
          PLC    12/20/78    LOADER                        PSR
  
 LDR0447  LOADER IS MODIFIED TO ADD *ZZZZZ31* FILE TO *TSFR* SO THAT
          FILE IS RETURNED AT END OF LOAD.
          PLC    12/18/78    LOADER                        PSR
  
 *L505*    ************************************************ 
 LDRA324  LOADER IS MODIFIED TO REWIND INSTEAD OF EVICT AN EXISTING 
          *ZZZZZDT* FILE. 
          PLC    4/11/79     LOADER                        PSR
  
 LDRA335  IT WAS POSSIBLE TO GET AN UNREQUESTED *FOL* DIRECTORY WHEN
          *PMD* OR *CID* WAS ON, SINCE *TCII* WAS USED FOR BOTH DEBUG 
          AND *FOL*.  CODE WAS ADDED TO MODIFY THIS.
          PLC    4/9/79      LOADER                        PSR
  
 LDRA340  LOADER CALCULATED THE LENGTH OF BLOCK TABLE ENTRIES FOR 
          THE *ZZZZZDT* FILE INCORRECTLY, CAUSING WRONG ADDRESSES 
          IN THE *CII*. 
          PLC    4/19/79     LOADER                        PSR
  
 LDRA351  INCREASES POSSIBLE SIZE OF INPUT RECORD (CARD IMAGE SIZE).
          CJC    05/22/79    LOADER                        PSR
  
 LDRA395A LOADER IS MODIFIED TO INCLUED A LINE OF CODE OMITTED FROM 
          LDR0395 IN TRANSMITTAL. 
          PLC    3/6079      LOADER                        PSR
  
 LDR0459  INCREASES THE POSSIBLE SIZE OF THE ERROR MESSAGE TO 3 WORDS.
          CJC    4/12/79     LOADER                        PSR
  
 *L508*    ************************************************ 
 LDRA313  CYBER LOADER MODIFIED TO PASS ADDRESS OF THE FIRST 57 TABLE 
          OF EACH PROGRAM BLOCK TO *CID*. 
          PLC    6/28/79           LOADER                        PSR
  
 LDRA360  CYBER LOADER INCORRECTLY CALCULATES THE NEW LENGTH OF *TFID*
          WHEN IT REMOVES THE LINKAGES TO PREPARE FOR THE NEXT OVERLAY. 
          PLC    6/26/79     LOADER                        PSR
  
 LDRA376  TREES NOT FLAGGED AS VALID IF NAMED ON AN INCLUDE DIRECTIVE 
          PRIOR TO THE TREE DIRECTIVE.
          PLC    7/25/79     LOADER                        PSR
  
 LDRA383  MODIFY CYBER LOADER TO SPECIFY NAME OF REQUEST IN ERROR 
          MESSAGE FOR NE4220*** ILLEGAL LOADER REQUEST. 
          PLC    8/9/79      LOADER                        PSR
  
 LDRA393  REMOVE DUPLICATE MACRO DEFINITION ERRORS
          SM     10/5/79     TRAP,TRAPPER 
 LDR0419  LOADER CAN NOT HANDLE SEGMENTS 400000K WORDS OR LARGER. 
          PLC    7/18/79     LOADER                        PSR
  
 LDR0430  SEGMENT LOADER IGNORES LEVEL STATEMENTS IF LEVEL FIELD IN 
          *TSCR1* IS NOT IN ASCENDING ORDER.
          PLC    8/6/79      LOADER                        PSR
  
 LDR0453  THE INITIAL ALLOCATION OF SPACE USING THE PRESETA OPTION
          WOULD NOT PRESET CORRECTLY - ADDRESS TRANSFER INCORRECT 
          ISM    8/10/79     LOADER                        PSR
  
 LDR0473  LOADER IS MODIFIED TO PERFORM MORE COMPLETE CHECKING BEFORE 
          DECIDING INPUT IS *COS* BINARY. 
          PLC    5/9/79      LOADER                        PSR
  
 LDR0486  CYBER LOADER DOES NOT CONTINUE READING AFTER ENCOUNTERING AN
          EMPTY RECORD ON A NOS LOAD FILE.  NOTE THIS IS PROPER 
          IF RUN ON NOS/BE. 
          PLC     6/8/79     LOADER                        PSR
  
 *L518*    ************************************************ 
 LDR*80   MODIFY CYBER LOADER COPYRIGHT TO INCLUDE 1980 
          ISM    79/12/16    LDRTEXT,PILOAD,FDLRES,FDLMMI,FDLOCR, 
                             FOLRES,LDRCNTL,LOADER,LOADU,UCLOAD,TRAP, 
                             TRAPPER,SEGRES.
  
 LDRA409  EXECUTE ONLY FILES WERE ACCESSABLE TO NON-EXECUTE ONLY FILES. 
          THIS CODE ENSURES EXECUTE ONLY INFORMATION IS LOADABLE ONLY 
          BY LOADING THE FILE ON WHICH IT RESIDES.
          PLC    9/25/79     LOADER,LOADU                  PSR
          SM     11/14/79    LOADER,LOADU 
  
 *L528*    ************************************************ 
 F4695    SMALL ABSOLUTE LOADER FEATURE.
          AM     80/03/10    LOADER, LOADU                 FEAT 
  
 F1138LDA MODIFY FDL.LOC TO ACCEPT A NULL GROUP NAME FOR
          *OVCAPS*. WHEN A ZERO GROUP NAME (REGISTER X1)
          IS PASSED FDL.LOC WILL EXTRACT THE FIRST ENTRY
          POINT NAME FROM THE 54 TABLE (RA.ORG+8).
          LDH    2/12/80     FDLOCR 
  
 F4830LD  MODS TO SUPPORT SIMULATED CMU.
          SDM    78/11/15    LOADER, LOADU                 FEAT 
          AM     80/05/16 
  
 LDRA410  TRAP.  IGNORE LEVEL 1 EOR FROM NOS CONNECTED FILE.
          THIS WILL ALLOW MULTIPLE TRAP DIRECTIVES FROM TERMINAL. 
          MAH    11/29/79    APPLIES TO CYBER LOADER. 
  
 LDRA414  UCLOAD.  CORRECTLY INITIALIZE X0 TO ECS FL BEFORE 
          LDR IS INVOKED ON NOS.
          MAH    1030/80     APPLIES TO UCLOAD, NOS ONLY. 
  
 LDRA416  IF GENERATING CAPSULES WITH *XLINK* TABLES, INSURE
          THAT THE CORRECT *TXLBC* WORD GETS PICKED UP FOR
          TRANSFER INTO *TLBC2*.
          LDH    80/02/25    LOADER, LOADU                 PSR
  
 LDRA418  MODS TO CORRECT FORMAT OF *MSG* CALL
          FOR THE //LOADER PERFORMANCE MESSAGES WHICH GET 
          ISSUED IF *IP.LRT* NE 0.
          AM     80/04/22    LOADER, LOADU                 PSR
  
 LDRA422  WHEN FE0525 OCCURRED, IT WAS NEARLY IMPOSSIBLE TO FIND
          OUT WHERE IN THE LOAD THE ERROR OCCURRED.  THIS MOD ADDS A
          SECOND LINE TO THIS DIAGNOSTIC WITH THE OVCAP NAME. 
          AM     80/05/07    LOADER, LOADU                 PSR
  
 LDRA423  CORRECT SEVERAL ERRORS IN THE *LDRA409* IDENT FOR 
          EXECUTE-ONLY FILE SUPPORT.
          AM     80/05/13    LOADER, LOADU                 PSR
  
 LDRA430  MODS TO ADD INTERACTIVE CAPABILITY TO LOADER ON *NOS*.
          AM     80/06/06    LOADER, LOADU
  
 LDRA432  FIX RELOCATION PROBLEMS IN *LOADU* ON NOS CAUSED
          BY F4830LD AND LDRA423. 
          ** NOTE - DEPENDENT ON F4830LD AND LDRA423. 
          AM     80/06/17    LOADER, LOADU
  
 LDRA439  CAUSES LOADER TO ALSO ISSUE *SETLFE* IF FILE IS 
          EXECUTE-ONLY AND LOCAL. 
          **** DEPENDENT ON LDRA409, LDRA423, LDRA432 
          AM     80/07/15    LOADER, LOADU
  
 LDR0466  TRAP/TRAPCOM.  REPAIR REGISTER ERROR THAT CAUSES INTERMITTANT 
          MODE ERROR IN CIO DUE TO BAD FUNCTION CODE. 
          MAH    1/14/80     APPLIES TO TRAP. 
  
 LDR0467  INCORRECT RELOCATION IN USER CALL LOADER
          SM     11/27/79    LOADU
* 
          SEGRES SHOULD USE CHANGED HHA VALUE (SET BY CMM.SHA)
 LDR0494  LOADER/ENTR. SIGN EXTEND RELOCATION BASE BEFORE RELOCATING
          ENTR   TABLE ITEM FOR -PROGRAM CASE.
          MAH    11/15/79    APPLIES TO CYBER LOADER. 
  
 LDR0505  DISALLOW *COS* TYPE BINARIES. THIS CODE WILL CORRECT
          THE PROBLEM THAT OCCURS WHEN THE *LOADER* IS REQUESTED TO 
          LOAD GARBAGE RESEMBLING A *COS* BINARY. IN SUCH A CASE WE 
          COULD HANG THE SYSTEM.
          SM     1/2/80      LOADER,LOADU 
 *L538*    ************************************************ 
 LDR*81   MODIFY CYBER LOADER COPYRIGHT TO INCLUDE 1981.
          AM     80/07/23    LDRTEXT, PILOAD, FDLRES, FDLMMI, FDLOCR, 
                             FOLRES, LDRCNTL, LOADER, LOADU, UCLOAD,
                             TRAP, TRAPPER, SEGRES
  
 LDRA387  CORRECT *ENTHDR* AND *ENT* MACROS SO THEY WILL ASSEMBLE 
          ERROR-FREE WITH THE *CPS211* IDENT INSTALLED IN COMPASS.
          AM     80/08/29    LDRTEXT
  
 LDRA437  MODS TO PLACE *PIDL* TABLES ON THE *ZZZZZDT* FILE 
          IF DOING SEGMENT LOAD AND IF DEBUG BIT IS IN THE *PIDL* TABLE.
          AM     80/08/18    LOADER 
  
 LDRA438  PREVENTS GARBAGE IN LOAD MAP WHEN ERRORS 500 OR 501 ARE ISSUED. 
          AM     80/08/12    LOADER, LOADU
  
 LDRA440  MODS TO THE INTERACTIVE SUPPORT CODE FOR NOS (LDRA430)
          TO CAUSE THE PROMPT TO COME TO THE TERMINAL AT THE SAME TIME
          AS THE REST OF THE MESSAGE.  ALSO SAVES ONE *CIO* WRITE.
          **** DEPENDENT ON LDRA430 ****
          AM     80/07/23    LOADER 
  
 LDRA443  PROBLEM  - THE LOAD MAP CONTAINS COLONS IN THE DATE AND 
          PROCESSOR FIELDS OF ONE OR MORE ROUTINES FOLLOWING THE LOAD 
          OF A ROUTINE THAT CONTAINS AN *LDSET* TABLE WHICH CHANGES 
          FROM A MAP WITHOUT BLOCKS TO A MAP WITH BLOCKS. 
          SOLUTION - A FLAG HAS BEEN ADDED TO THE PREFIX TABLE PROCESSOR
          WHICH WILL ALLOW IT TO KNOW WHEN SUCH A CHANGE IN THE MAP HAS 
          TAKEN PLACE, AND THUS PLACE THE CORRECT INFORMATION IN ITS
          INTERNAL TABLE *TPRX*.
          AM     80/09/10    LOADER, LOADU
  
 LDRA445  PROBLEM  - INTERACTIVE INPUT OF LOAD STATEMENTS FAILS 
          IF IN ASCII MODE. 
          SOLUTION - THE ROUTINE *ACE* IN *BLOADC* IS CHANGED 
          TO IGNORE ANY OCCURRENCES OF THE ESCAPE CHARACTER 
          WITHIN A LOADER STATEMENT.
          +++++ AFFECTS NOS ONLY +++++
          ***** DEPENDENT ON LDRA430 *****
          AM     80/09/19    LOADER 
  
 LDRA449  PROBLEM  - ENTRY POINTS IN BLANK COMMON GET RELOCATED 
          INCORRECTLY.  THIS HAPPENS ONLY INTERMITTENTLY, DEPENDING ON
          THE FREQUENCY OF TABLE MOVES. 
          SOLUTION - THE PROBLEM IS IN THE ROUTINE *ENTR* IN THE CYBER
          LOADER.  THE FIX RESTORES (B6) TO THE FWA OF *TRLB* AT THE
          END OF THE LOOP AFTER LOCATION *ENT7*.  THIS IS NECESSARY 
          SINCE A TABLE MOVE IS POSSIBLE WITHIN THIS LOOP.
          AM     80/10/09    LOADER, LOADU
  
 LDRA453  PROBLEM  - *LDRA437* CAUSES THE ROUTINE *SYM* TO LOSE 
          THE SOURCE LANGUAGE ORDINAL, WHEREAS IT WAS PREVIOUSLY
          BEING SAVED PROPERLY. 
          SOLUTION - THE CODE IS CHANGED SO THAT THE MASK IN X6 
          WILL NOT BE CLOBBERED.
          ***** DEPENDENT ON LDRA437. 
          AM     80/11/12    LOADER 
  
 LDR0474  CORRECTS *SYSTEM* MACRO DEFINITION SO THE FIRST ARG 
          ADDRESS WILL BE RELOCATED PROPERLY IN *LOADU*.
          AM     80/09/08    LOADER, LOADU
  
 LDR0481  MODS TO CHANGE REPRIEVE PROCESSING TO USE EXTENDED REPRIEVE 
          AND ALSO TO SET THE MASK BIT FOR TERMINAL INTERRUPT.
          AM     80/06/30     LOADER, LOADU 
  
 LDR0545  CORRECTS THE ASSIGNMENT OF ECS BLANK COMMON IN A HIGHER LEVEL 
          OVERLAY IF IT HAS BEEN ASSIGNED IN THE (0,0) OVERLAY
          AT ADDRESS 0 (I.E., NO ECS LABELLED COMMON).
          AM     80/08/21    LOADER 
  
 LDR0553  CHANGE THE NOS BUILD OF LOADER TO USE *NOSTEXT*,
          AND REMOVE LOCAL DEFINITIONS OF SYMBOLS WHICH ARE IN *NOSTEXT*. 
          ***** DEPENDENT ON LDRA423, LDRA439 ***** 
          AM     80/08/13    LDRCNTL, LOADER, LOADU, TRAP 
  
 LDR0559  CORRECTS PROCESSING OF *USEP* SO AS TO AVOID
          PICKING UP THE WRONG RECORD OF A LIBRARY IF A *USEP*
          NAME MATCHES 1) THE LIBRARY NAME, 2) A PROC ON THE LIBRARY, 
          OR 3) AN ABS PROGRAM. 
          -- APPLIES TO NOS ONLY. 
          AM     80/09/03    LOADER, LOADU
  
 LDR0560  MOD TO PREVENT GARBAGED PROGRAM NAMES 
          DURING SEGMENTED LOADS. 
          AM     80/09/03    LOADER 
  
 LDR0562  PROBLEM  - SEGLOAD MODES OUT IF *TSEG* EXCEEDS THE MAXIMUM
          ALLOWABLE SIZE OF 40000 OCTAL.  I.E., IF THE LOAD CONTAINS
          MORE THAN THE MAXIMUM ALLOWED 8192 PROGRAMS AND COMMON
          BLOCKS. 
          SOLUTION - PUT ALL CALLS TO INCREASE THE SIZE OF *TSEG* INTO A
          SINGLE SUBROUTINE AND ISSUE A DIAGNOSTIC IF THE MAXIMUM SIZE
          IS REACHED. 
          BY CHANGING A LARGE NUMBER OF *SXX* INSTRUCTIONS REFERENCING
          THE *TSEG* POINTER TO *MXK*, *TSEG* HAS BEEN ALLOWED
          TO DOUBLE IN SIZE.
          AM     80/09/30    LOADER 
  
 LDR0566  PROBLEM  - THE *LOADER* MACRO (TO ISSUE USER CALLS) 
          GENERATES NON-STANDARD RELOCATION BECAUSE IT EXPANDS TO:  
              +  RJ   =XLOADER
              -  VFD  30/ADDR 
          SOLUTION - THIS CODE CHANGES THE MACRO EXPANSION TO:  
              +  RJ   =XLOADER
              -  VFD  12/,18/ADDR 
          AM     80/10/10    LDRTEXT
  
 LDR0579  PROBLEM  - ON A CYBER MAINFRAME WITH THE STACK-PURGING
          MODIFICATION, THE CYBER LOADER FAILS IN THE 
          FINAL PRESET ROUTINE AT *EXPD*.  THE FAILURE OCCURS IF
          PRESETTING WITHOUT ADDRESS INSERTION IS BEING USED. 
          SOLUTION - A 15-BIT NO-OP IS INSERTED AT LOCATION *EXPDA* 
          SO AS TO FORCE THE 2ND STORE INSTRUCTION TO BE IN THE 
          LOWER-MOST 15-BIT PARCEL.  THIS IS THE LAST WORD TO BE PRESET,
          AND THE NEXT INSTRUCTION FETCH WILL COME FROM THE FOLLOWING 
          WORD, RATHER THAN THE CURRENT WORD AS CURRENTLY DONE. 
          AM     81/01/06    LOADER, LOADU
  
 *L552*    ************************************************ 
 F5228LD  PROBLEM  - THE *LIBRARY* STATEMENT PROCESSOR MUST BE
          REMOVED FROM THE ROUTINE *LDRCNTL* ON *NOS* IN ORDER THAT 
          *LIBRARY* CAN BE PROCESSED BY *1AJ*.
          SOLUTION - ALL OF THE *LIBRARY* CODE HAS BEEN REMOVED FROM
          THE *NOS* VERSION BY USE OF CONDITIONAL CODE. 
          +++++ AFFECTS NOS ONLY +++++
          AM     80/10/01    LDRCNTL
  
 F5228LDA PROBLEM  - IF A PROGRAM CALL STATEMENT FOR A RELOCATABLE
          MAIN PROGRAM FROM A USER LIBRARY IS PASSED TO THE 
          CYBER LOADER FROM *1AJ*, AND IF THE USER LIBRARY HAD BEEN 
          ERRONEOUSLY RETURNED PRIOR TO THE CALL, THEN THE LOADER AND *1AJ* 
          GET INTO A LOOP CALLING EACH OTHER. 
          SOLUTION - A FLAG HAS BEEN ADDED AT BIT 49 OF CONTROL POINT 
          AREA WORD *LB1W* TO INFORM THE LOADER THAT *1AJ* HAS ALREADY
          SEARCHED FOR THE DESIGNATED ENTRY POINT.  IF THIS FLAG IS 
          SET, THE LOADER WILL ISSUE A CATASTROPIC ERROR AND ABORT, 
          RATHER THAN GIVE THE LAST CONTROL CARD BACK TO THE SYSTEM.
          ++++ APPLIES TO NOS ONLY ++++ 
          AM     81/02/04    LOADER, LOADU
  
 F5228LDB PROBLEM  - IF *LDRLIB* IS MADE PART OF THE GLOBAL 
          LIBRARY SET, AND IF A *MAP* STATEMENT IS USED, THE *MAP*
          STATEMENT FAILS WITH AN UNRECOGNIZABLE PARAMETER. 
          SOLUTION - THE ERROR IN *F5228LD* IN SPECIFYING THE ENTRY 
          POINTS IN *LDRCNTL* IS FIXED SO THAT THE *RFL=* ENTRY 
          POINT IS AFTER ALL THE NORMAL ENTRY POINTS.  ALSO, THE
          NEW SPECIAL ENTRY POINT *NPC=* IS ADDED.
          AM     81/05/15    LDRCNTL
          +++++ APPLIES TO NOS ONLY +++++ 
  
 F5228LDC PROBLEM  - THE GLOBAL LIBRARY SET SUPPORT CODE (GLS)
          FOR NOS MUST BE ACTIVATED ONLY WHEN THE OPERATING 
          SYSTEM BUILDS REACH A CERTAIN LEVEL.
          SOLUTION - A NEW MACRO *IFGLSMAC* HAS BEEN ADDED TO *LDRCOM*. 
          IT IS SIMILAR TO THE EXISTING MACRO *IFMACS*, AND WHEN
          CALLED, GENERATES OPDEFS FOR *IFGLS* AND *IFNOTGLS*, WHICH
          CAN BE USED IN THE CODE TO CONTROL ASSEMBLY (OR THE SKIPPING) 
          OF CODE ASSOCIATED WITH GLS SUPPORT.  THE SUPPORT CODE IN 
          *LDRCNTL* WHICH REMOVES THE *LIBRARY* ENTRY POINT UNDER GLS 
          SUPPORT HAS BEEN CHANGED TO USE THESE MACROS, INSTEAD OF
          USING *IFSCOPE* AS PREVIOUSLY DONE. 
          ***** DEPENDENT ON F5228LD *****
          +++++ APPLIES TO NOS ONLY  +++++
          AM     81/08/14    LDRCOM, LDRCNTL, LOADER, LOADU 
  
 LDRA379  PROBLEM  - LDSET(ERR=NONE) IS NOT HANDLED CORRECTLY 
          IN THE CASE OF NO TRANSFER ADDRESS ON A LOAD THAT IS
          SUPPOSED TO EXECUTE.
          SOLUTION - THE CODE IN *CPL* IS CHANGED SO THAT AFTER THE 
          MESSAGE *CANNOT EXECUTE - NO TRANSFER ADDRESS* IS ISSUED, 
          AND IF ERR=NONE IS SPECIFIED, THE LOADER TERMINATES WITH
          *END*, RATHER THAN *ABT*. 
          AM     80/12/01    LOADER, LOADU
  
 LDRA452  PROBLEM  - ON NOS/BE, THE SMALL ABSOLUTE LOADER DOES NOT
          COMPLETE THE LOAD OF MAIN OVERLAYS THAT ARE LIBRARY 
          ECS-RESIDENT. 
          SOLUTION - THIS IS ACTUALLY A NOS/BE PROBLEM WHICH HAS
          BEEN REPORTED ON A SEPARATE PSR.
          HOWEVER, THE FOLLOWING CHANGES ARE MADE IN ORDER THAT THE 
          FINAL READ IN THE SMALL ABS LOADER BE MORE STRAIGHT-FORWARD.
          1) UP THE VALUE OF *LIMIT* BY ONE (1) WORD. 
          2) ZERO THE FOUR (4) WORDS IMMEDIATELY FOLLOWING THE 5-WORD 
             FET, TO MAKE SURE A FALSE RANDOM ADDRESS IS NOT USED.
          **** DEPENDENT ON SMALL ABS LOADER FEATURE - F4695 **** 
          AM     80/11/25    LOADER 
  
 LDRA454  PROBLEM  - ON NOS, THE *LOADLDR* ENTRY POINT
          ABORTS WITH INSUFFICIENT FIELD LENGTH, UNLESS IT IS 
          CALLED WITH A PRECEDING *RFL* STATEMENT TO GIVE THE 
          LOADER ENOUGH FL TO GET INITIALIZED.
          SOLUTION - *INIT* IS CHANGED SO THAT WHEN THE LOADER IS 
          ENTERED VIA *LOADLDR*, THE FIELD LENGTH WILL BE 
          INCREASED TO (INITIAL TABLE LWA) + (FL INCREASE 
          INCREMENT *IP.FLINC*) IF THIS VALUE IS LESS THAN THE
          STARTING FL.
          AM     80/12/04    LOADER, LOADU
  
 LDRA462  PROBLEM  - IF *SEGLOAD* BINARIES ARE GENERATED TO TAPE, 
          THE FILE IS UNUSABLE, BECAUSE WHEN *CPY* COPIES THE FILE FROM 
          *ZZZZZ32*, IT PLACES A *PRFX* HEADER AT THE FRONT OF
          EACH RECORD.  THIS IS THE CORRECT PROCEDURE FOR OVERLAYS
          AND *OVCAPS*, BUT NOT FOR SEGMENTS. 
          SOLUTION - THE COPY PROCEDURE IN *CPY* IS CHANGED SO AS TO
          CHECK IF *SEGLOAD* IS IN EFFECT, AND, IF SO, SKIP THE 
          WRITE OF THE FIRST WORD OF EACH RECORD DURING THE COPY. 
          AM     81/01/30    LOADER 
  
 LDRA465  PROBLEM  - *FOL* DOES NOT SET THE OVERLAY LEVEL 
          NUMBERS IN THE LDR/LDV REQUEST WHEN LOADING OVERLAYS
          FROM LIBRARIES. 
          SOLUTION - ROUTINES *BPB* AND *LLV* (BOTH IN *FOLRES*)
          ARE CHANGED TO INCLUDE THE LEVEL NUMBERS IN THE REQUEST.
          AM     81/02/23    FOLRES 
  
 LDRA468  PROBLEM  - WITH THE CYBER LOADER NOW USING EXTENDED 
          REPRIEVE (LDR0481), THERE IS NO INDICTAION GIVEN BY THE 
          NOS OPERATING SYSTEM IF THE ERROR IS A CPU ERROR EXIT.
          SOLUTION - THE LOADER IS CHANGED TO ISSUE ITS OWN DAYFILE 
          MESSAGE IF THE ERROR CODE FROM THE REPRIEVE PARAMETER BLOCK 
          INDICATES A CPU ERROR EXIT.  ALSO, THE 2ND *REPRIEVE* 
          CALL IS MOVED FROM *RSF* TO *RPV*, AS IT IS NECESSARY 
          ONLY AFTER AN ABORT.
          ***** DEPENDENT ON LDR0481 *****
          AM     81/02/26    LOADER, LOADU
  
 LDRA469  PROBLEM  - SEGMENTED JOBS FAIL IF A PROGRAM HAS TO
          APPEAR IN MORE THAN ONE PLACE IN THE TREE STRUCTURE.
          THIS IS A REGRESSION CAUSED BY *LDR0562*. 
          SOLUTION - THIS CORRECTS THE ERROR, WHICH IS A ONE-LINER
          IN ROUTINE *CDE* IN *LOADS*.
          ***** DEPENDENT ON LDR0562 *****
          AM     81/03/05    LOADER 
  
 LDRA472  PROBLEM  - ALTHOUGH *LDR0562* WAS INTENDED TO DOUBLE
          THE ALLOWABLE NUMBER OF SEGMENTS + PROGRAMS + BLOCKS
          IN A SEGMENTED JOB, IT DOES NOT DO SO, DUE TO THE HANDLING
          OF THE 15-BIT OFFSET FIELD IN *TSEG*.  IF A JOB EXCEEDS THE 
          ORIGINAL LIMIT OF 8192, UNPREDICTABLE RESULTS MAY OCCUR EITHER
          DURING LOADING OR EXECUTION.
          SOLUTION - THE ROUTINE *AET* HAS BEEN CHANGED TO REINSTATE
          THE ORIGINAL LIMIT OF 8192.  ALSO, FOR SEGMENTED LOADS, 
          AN ADDITIONAL LINE HAS BEEN ADDED TO THE STATISTICS IN THE
          MAP, SO AS TO INDICATE HOW CLOSE THE JOB CAME TO THIS LIMIT.
          AM     81/03/09    LOADER, LOADU
  
 LDRA473  PROBLEM  - FDL SHOULD RETURN OVCAP ENTRY ADDRESS EVEN IF
                     THE REQUESTED OVCAP IS ALREADY LOADED FOR FCL. 
          SOLUTION - RETURN ENTRY ADDRESS X1. 
                     ON FDL.LOC CALLS.
          LDH    80/06/30    FDLCOM, FDLRES, FDLMMI, FDLOCR 
  
 LDR0454  PROBLEM  - ABSOLUTE BLOCKS ARE NOT LOADED AT THE CORRECT
          ORIGIN DURING USER CALL LOADS, IF THE ORIGIN IS SPECIFIED TO BE 
          ABOVE THE LWA OF THE COMMUNICATION AREA (I.E., ABOVE 110B). 
          SOLUTION - THE *TEXT* PROCESSOR IN *LOADU* IS CHANGED TO
          LOWER THE STORE ADDRESS FOR THE INCOMING TEXT BY THE NECESSARY
          AMOUNT.  THE *LINK* AND *XLINK* PROCESSORS ARE SIMILARLY
          CHANGED TO LOWER THE RELOCATED DESCRIPTOR ADDRESSES.
          THIS IS ALL DONE ONLY WHEN ABSOLUTE DATA IS SPECIFIED.
          AM     80/12/10    LOADU
  
 LDR0458  PROBLEM  - IF THE STARTING FL IS LESS THAN 100B WORDS MORE
          THAN THE MINIMUM NEEDED TO GET A CONTROL-CARD-INITIATED LOAD
          STARTED, THE LOADER ABORTS WITH A SERIES OF MESSAGES ENDING 
          WITH *SYSTEM ERROR LOADING- LOADM*. 
          SOLUTION - THE ROUTINE *INIT* IS CHANGED TO COMPLETE THE
          FOLLOWING BEFORE DOING ANY TABLE ALLOCATIONS -
          1) THE SETTING OF THE LIBRARY NAME INFO IN THE OVERLAY LOAD 
             PARAMETER AREA.
          2) THE CALLING OF *MEM* TO GET *MAXFL*. 
          (NOTE - THIS PROBLEM HAS SHOWN UP ON NOS/BE ONLY, BUT IS
          POSSIBLE ON BOTH SYSTEMS.  THE CODE APPLIES TO BOTH SYSTEMS.) 
          AM     80/12/15    LOADER 
  
 LDR0526  PROBLEM  - ON NOS, THE CYBER LOADER ISSUES EXCESSIVE *CIO*
          CALLS WHEN ACCESSING LIBRARIES. 
          SOLUTION - *CIO* CALLS HAVE BEEN ELIMINATED IN TWO (2) AREAS. 
          1) AS EACH LIBRARY IS ACCESSED, IF THERE ARE MULTIPLE PASSES
             ON IT, ALL BUT THE FIRST *ASSIGN* AND *REWIND* ARE 
             ELIMINATED.
          2) DUPLICATE ENTRIES ARE NO LONGER MADE IN THE TABLE
             *TSFR*, SO THAT EACH SYSTEM LIBRARY IS RETURNED
             ONLY ONCE. 
          ++++ APPLIES TO NOS ONLY ++++ 
          AM     81/06/23    LOADER, LOADU
  
 LDR0531  PROBLEM  - IF A SEGLOAD *COMMON* DIRECTIVE HAS NO COMMON
          BLOCKS IN THE SPECIFICATION FIELD, BUT HAS NON-BLANKS IN
          COLUMNS 73-80, AN ERRONEOUS FATAL ERROR 401 OCCURS. 
          SOLUTION - THE DIRECTIVE CRACKING ROUTINE FOR *COMMON*
          IS CHANGED TO CHECK FOR TRAILING BLANKS AFTER THE VERB
          IN THE SAME WAY THE PROCESSOR FOR THE *END* DIRECTIVE 
          CURRENTLY DOES IT.
          AM     80/12/23    LOADER 
  
 LDR0532  PROBLEM  - IF THE LOAD FILE IS EXECUTE-ONLY, ANY ERROR
          MESSAGES GET LOST AS A RESULT OF SUPPRESSING THE MAP.  THE
          MAP SHOULD BE SUPPRESSED, BUT ERROR MESSAGES SHOULD THEREFORE 
          BE PUT IN THE DAYFILE.
          SOLUTION - THIS CHANGES THE CODE IN *CPL* TO ALWAYS GO TO 
          THE MAP ROUTINE IF ERRORS EXIST.  WITHIN THE MAP ROUTINE, 
          A CHECK IS ADDED TO DAYFILE ERRORS AND NOT WRITE A MAP IF 
          THE LOAD IS EXECUTE-ONLY AS WITH *ABS* LOADS. 
          +++ APPLIES TO NOS ONLY +++ 
          AM     80/11/04    LOADER 
  
 LDR0541  PROBLEM  - FOR SEGMENTED LOADS, IF EITHER THE *COMMON*
          DIRECTIVE WITH NO BLOCKS SPECIFIED, OR THE LDSET(COMMON)
          DIRECTIVE IS USED, AND IF BLANK COMMON IS USED, THEN THE
          BLANK COMMON IS IMPROPERLY MOVED INTO THE ROOT SEGMENT, 
          RESULTING IN IMPROPER ASSIGNMENT OF THE RUN-TIME FIELD LENGTH.
          SOLUTION - THE ROUTINE *SAC* IN *LOADS* IS CHANGED TO CHECK 
          IF EACH *TSEG* COMMON ENTRY IT PROCESSES IS FOR BLANK COMMON, 
          AND, IF SO, TO NOT PROCESS IT.  THIS GIVES THE SAME RESULT AS 
          NAMING EVERY COMMON BLOCK (EXCEPT //) ON A *COMMON* DIRECTIVE.
          AM     81/01/21    LOADER 
  
 LDR0548  PROBLEM  - *SEGRES* DOES NOT PROPERLY DEFINE THE FWA
          OF *CELTAB*.  THE DEFINITION OF *BASE* DOES NOT FORCE UPPER.
          SOLUTION - THE DEFINITION OF *BASE* IS CHANGED SO AS
          TO FORCE UPPER. 
          AM     80/11/24    SEGRES 
  
 LDR0570  PROBLEM  - THE CYBER LOADER DOES NOT PROPERLY HANDLE
          THE O=EPTNAME-NNNNNN FORMAT ON AN *OVERLAY* CARD. 
          SOLUTION - THE ROUTINE *COS* IN *BLOADG* IS CHANGED TO
          CORRECTLY TEST FOR THE PRESENCE OF A MINUS SIGN (-).
          AM     80/11/13    LOADER 
  
 LDR0586  PROBLEM  - IN PASS 1 OF SEGMENT GENERATION, THE ROUTINE 
          *FCA* (FIX COMMON ASSIGNMENTS) IS CALLED PRIOR TO THE 
          CALL TO *AMR* (ASSIGN MOVEABLE PROGRAMS TO ROOT SEGMENT). 
          THIS CAUSES UNPREDICTABLE MODE ERRORS WHEN THE *COMMON* 
          DIRECTIVE IS USED.
          SOLUTION - PASS 1 IS CHANGED SO THAT THE CALL TO *FCA*
          IS JUST AFTER THE CALL TO *AMR*.
          AM     81/02/25    LOADER 
  
 LDR0587  PROBLEM  - ON SEGMENTED LOADS, LOCAL SAVE BLOCKS
          ARE NOT PROCESSED CORRECTLY, RESULTING IN UNPREDICTABLE 
          RESULTS.
          SOLUTION - THE ROUTINE *FLS* IN *LOADS* IS CHANGED TO 
          STORE THE UPDATED *TSEG* POINTER CORRECTLY. 
          AM     81/03/04    LOADER 
  
 LDR0592  PROBLEM  - THE INTERACTIVE LOAD CAPABILITY GIVES A
          GARBLED PROMPT ON 63-CHAR SET SYSTEMS.
          SOLUTION - THE VFD STATEMENT WHICH DEFINES THE PROMPT 
          IS CHANGED TO NOT USE THE COLON CHAR IN ORDER TO SPECIFY
          A 00 CHAR.
          +++++ AFFECTS NOS ONLY +++++
          ***** DEPENDENT ON LDRA430 *****
          AM     81/02/18    LOADER 
  
 LDR0600  PROBLEM  - FOR SEGLOAD DIRECTIVES, THE LOGIC FOR
          CONTINUATION CARDS IS INCORRECT IF A CARD BEING CONTINUED 
          ENDS WITH A TRAILING BLANK. 
          SOLUTION - THE ROUTINE *GNE* (IN *LOADS*) IS CHANGED TO 
          RECOGNIZE THE PRESENCE OF END-OF-CARD WHEN A BLANK IS 
          ENCOUNTERED.  IT THEN PROCEEDS IN THE SAME MANNER AS IT 
          WOULD HAD THE BLANK NOT BEEN PRESENT. 
          AM     81/04/08    LOADER 
  
 LDR0601  PROBLEM  - THE SMALL ABS LOADER SETS LWA+1 IN RA+65B
          ONE WORD TOO HIGH, IF THE (0,0) OVERLAY BEING LOADED
          BEGINS WITH A 53-TABLE HEADER.
          SOLUTION - ROUTINE *OVL53* IS CHANGED TO PASS 
          (LENGTH - 1), RATHER THAN (LENGTH) IN B3.  THIS IS
          NECESSARY TO COMPENSATE FOR THE INCREASING OF B3 BY 
          ONE (1) AT LOCATION *OVL50H*. 
          AM     81/03/30    LOADER 
  
 LDR0603  PROBLEM  - WHEN THE *SAVE* (IN FTN5) STATEMENT IS USED, 
          SEGMENTED LOADS RESULT IN TWO (2) COPIES OF THE LOCAL SAVE
          BLOCKS FOR EACH SUBROUTINE USING THE *SAVE* STATEMENT.
          ONLY ONE (1) IS NEEDED. 
          SOLUTION - THESE BLOCKS WERE BEING PROCESSED FROM BOTH
          *TCOM* (BLOCKS SPECIFIED ON THE *COMMON* DIRECTIVE), AND
          *TLSB* (LOCAL SAVE BLOCKS).  THE ROUTINE *SAC* IN *LOADS* 
          IS CHANGED TO NOT PLACE LOCAL SAVE BLOCKS IN *TCOM*.
          AM     81/03/23    LOADER 
  
 LDR0604  PROBLEM  - THE LOAD MAP OF A SEGMENTED LOAD MAY 
          HAVE BLANK BLOCK NAMES IN IT, IF THE *SUBST* OPTION 
          IS USED.
          SOLUTION - THE ROUTINE *SEN* IS CHANGED TO USE X6, INSTEAD
          OF X5, AS IT WAS PREVIOUSLY DOING.  THIS IS MORE IN 
          ACCORDANCE WITH LOADER CODING CONVENTIONS.  THUS, THE 
          BLOCK NAME WHICH *APS* (IN *LOADS*) HOLDS IN X5 DURING
          A CALL TO *SEN* WILL BE LEFT INTACT.
          AM     81/04/03    LOADER, LOADU
  
 *L564*    ************************************************ 
 LDR*82   PROBLEM  - COPYRIGHT CODE NEEDS TO INCLUDE 1982.
          SOLUTION - ADD 1982 TO COPYRIGHT CODE.
          AM     81/08/27    LDRTEXT, PILOAD, FDLRES, FDLMMI, FDLOCR, 
                             FOLRES, LDRCNTL, LOADER, LOADU, UCLOAD,
                             TRAP, TRAPPER, SEGRES
  
 LDRA483  PROBLEM  - IF A USER CALL IS MADE WHEN THE ENTIRE 
          ECS FIELD LENGTH IS LOADED, THE DIAGNOSTIC
          -ECS LIMITS ON USER CALL- IS ISSUED, EVEN IF NO ECS 
          IS SPECIFIED FOR THE CURRENT USER CALL. 
          SOLUTION - *LOADU* HAS BEEN CHANGED (AT *INIT2C*) SO
          THAT FWA = LWA+1 IS ALLOWED.
          AM     81/08/04    LOADU
  
 LDR0518  PROBLEM  - THE DISPLAY CODE CONVERSION OF UNIQUE
          LOCAL ECS BLOCK NAMES REPLACES THE ZEROS WITH BLANKS. 
          SOLUTION - *ACB* (IN *BLOAD2*) AND *PIDL* (IN *BLOADS*) 
          HAS BEEN CHANGED TO FAKE OUT *CDD=* BY ADDING 100000D 
          TO THE *NNNNN* BEFORE CONVERTING IT TO DISPLAY, THEN
          TRUNCATING THE RESULT BEFORE ADDING THE ARROWS. 
          CJC    18MAY81     LOADER 
  
 LDR0530  PROBLEM - LOADER WAS NOT CHECKING FOR ILLEGAL CONTROL 
          STATEMENTS. 
          SOLUTION - THIS CODE ADDS A TEST AND APPROPRIATE ERROR
          MESSAGE (ILLEGAL CONTROL STATEMENT) AFTER THE CALL TO *UPC* 
          (UNPACK CONTROL CARD).
          CJC    17JUN81     BLOADC 
  
 LDR0533  PROBLEM  - IF ECS BLANK COMMON IS SPECIFIED, AND THERE IS 
          INSUFFICIENT ECS FL TO CONTAIN IT, AND IF OVERLAYS ARE BEING
          GENERATED, THE LOADER MODES OUT.  THIS IS BECAUSE ROUTINE 
          *WOV* FETCHES FROM ECS TO WRITE TO THE OVERLAY IMAGE. 
          BLANK COMMON SHOULD NOT BECOME PART OF THE CORE IMAGE IN THE
          OVERLAY; THIS IS HANDLED CORRECTLY IN THE CASE OF CM //.
          SOLUTION - THE ROUTINES *APS*, *B54*, AND *INO* ARE CHANGED 
          TO NOT INCLUDE ECS // IN THE OVERLAY. 
          AM     81/05/13    LOADER 
  
 LDR0591  PROBLEM - A WEAK EXTERNAL REFERENCE THAT GETS CHANGED 
          TO A STRONG EXTERNAL REFERENCE IS NOT RECOGNIZED BY *LOADER*
          AS REASON TO SEARCH THE LIBRARY AGAIN.
          SOLUTION - CODE INTRODUCES A FLAG *CFWTS*, CHANGE FROM WEAK 
          TO STRONG, THAT IS SET WHEN A WEAK EXTERNAL IS CHANGED TO 
          A STRONG EXTERNAL AND IS TESTED FOR POSSIBLE RE-SEARCH OF A 
          LIBRARY.
          CUSTOMER RECOMMENDED CODE.
          CJC    12JUN81     LOADER(BLOAD2) 
  
 LDR0611  PROBLEM  - THE INTERACTIVE PROMPTING CODE (LDRA430) 
          USES A CONSTANT VALUE TO CHECK FOR INTERACTIVE JOB ORIGIN.
          SOLUTION - THE LINE IN QUESTION IS CHANGED TO USE 
          THE *NOSTEXT* SYMBOL *TXOT*.
          ***** DEPENDENT ON LDRA430. 
          +++++ APPLIES TO NOS ONLY.
          AM     81/05/04    LOADER 
  
 LDR0621  PROBLEM  - LDR0468 CAUSES *DABA* TO REMAIN SET AT *HHA* 
          DURING THE EXECUTION OF ALL SEGMENTED LOADS.
          SOLUTION - THIS IS BEING CORRECTED BY HAVING BLANK COMMON 
          RESIDE IN A GLOBAL CMM FIXED BLOCK FOR ANY SEGMENTED LOADS
          WHICH INCLUDE BOTH CMM AND BLANK COMMON.  MORE SPECIFICALLY --
            1. DURING GENERATION, IF ANY *CMM* ROUTINES ARE 
               PART OF THE LOAD, *CMM.ALF* IS ALSO INCLUDED AND 
               ITS ADDRESS PASSED IN *CELTAB*.
            2. DURING GENERATION, THE FWA OF BLANK COMMON IS SET
               TO LWA+3 OF THE HIGHEST SEGMENT. 
            3. *SEGRES* IS CHANGED TO SET *HHA* (IN THE 54-TABLE) 
               AS FOLLOWS --
                 A. SEGMENT BINARIES WITH THE ADDRESS OF *CMM.ALF*
                    PASSED.  HHA = LWA+1 OF HIGHEST SEGMENT.
                 B. ALL OTHER CASES.  HHA = LWA+1 OF BLANK COMMON.
            4. FOR CASE (A) ABOVE, AND IF BLANK COMMON IS PRESENT,
               SEGRES WILL CALL *CMM.ALF* AFTER LOADING, BUT BEFORE 
               ENTERING THE ROOT SEGMENT.  THIS CALL ALLOCATES A
               FIXED-POSITION BLOCK THE SIZE OF BLANK COMMON AT 
               LWA+3 OF THE HIGHEST SEGMENT.
            5. THE LDR0468 CODE IS MODIFIED TO ALLOW DABA TO FLOAT
               AS IT DID PRIOR TO LDR0468, IF THE SEGLOAD BINARY
               HAS THE ADDRESS OF *CMM.ALF* PASSED. 
          ***** DEPENDENT ON LDR0468 *****
          AM     81/09/17    LOADER, SEGRES 
  
 LDR0622  PROBLEM  - IF, IN A SEGMENTED LOAD, A *USE* REQUEST 
          IS PROCESSED FOR AN ENTRY POINT FOR WHICH THE PROGRAM 
          CONTAINING IT HAS ALREADY BEEN LOCATED, THE ENTRY POINT 
          WILL RESULT IN AN INCORRECT -NE4100- (UNSATISFIED EXTERNAL) 
          DIAGNOSTIC. 
          SOLUTION - THE *USE* REQUEST PROCESSOR IS CHANGED TO LOOK 
          AT THE LOWER 54 BITS OF THE *TLNK* DEFINITION WORD
          TO DETERMINE IF THE ENTRY HAS BEEN DEFINED YET. 
          THIS WILL WORK FOR ANY TYPE OF LOAD.
          AM     81/08/05    LOADER, LOADU
  
 LDR0626  PROBLEM  - IN *FDL.MMI*, A CALL TO *GGD* WITH X0 = +0 
          (I.E., UNLOADING) CAUSES THE GROUP DIRECTORY CHAIN TO BE
          CLOBBERED.
          SOLUTION - *GGD* IS CORRECTED TO NOT STORE AT (X5) IF CALLED
          WHILE UNLOADING.
          AM     81/06/23    FDLMMI 
  
 LDR0627  PROBLEM -  IF A LOCAL LCM BLOCK IS USED IN A SEGMENTED
          LOAD, THE LOADER MODES OUT IN ROUTINE *PDL* OF *LOADS*. 
          SOLUTION - THE MASK USED FOR THE SEARCH AT *PDL7* IN *PDL*
          HAS BEEN CHANGED TO THE CORRECT VALUE.
          AM     81/09/01    LOADER 
  
 LDR0628  PROBLEM -  IF THE SEGLOAD *COMMON* DIRECTIVE IS USED, 
          ANY ECS/LCM COMMON BLOCKS ARE ALSO MADE TO BE GLOBAL, 
          WHICH THEY SHOULD NOT, SINCE THEY ARE TREATED DIFFERENTLY.
          SOLUTION - ROUTINE *SAC* IN *BLOADS* IS CHANGED TO NOT
          PROCESS ANY COMMON BLOCKS WHICH ARE ECS/LCM RESIDENT. 
          AM     81/09/03    LOADER 
  
 LDR0629  PROBLEM - WHEN GIVEN AN ERRONEOUS ENTRY POINT IN LOADER 
          DIRECTIVES, *LOADER* SETS THE ADDRESS TO 400000B+.  WHEN
          SAVING THE VALUE OF THIS TRANSFER ADDRESS IN A5, *LOADER* 
          MODES OUT.
          SOLUTION - TEST FOR NEGATIVE TRANSFER ADDRESS AND ISSUE 
          CATASTROPHIC ERROR *ILLEGAL TRANSFER ADDRESS* 
          APPROPRIATELY.
          CJC    09JUL81     BLOAD1 
  
 LDR0634  PROBLEM -  THE *PS* LOADER REQUEST DOES NOT WORK
          CORRECTLY FOR VALUES SPECIFIED GREATER THAN 131070 (DECIMAL). 
          SOLUTION - THIS IS FIXED BY DOING THE FOLLOWING --
            1) DEFINING THE FIELD FOR *PS* IN THE REQUEST TABLE AND 
               *LDSET* TABLE TO BE 21 BITS TO ALLOW ROOM FOR THE
               LARGEST POSSIBLE VALUE OF 1,000,000 DECIMAL. 
            2) CHANGING ALL CODE THAT HANDLES *LC* AND *PGSIZ* TO 
               ASSUME THAT THESE VALUES MAY OVERFLOW 18 BITS, AND THUS
               USE 60-BIT ARITHMETIC ON THEM. 
          AM     81/09/02    LOADER, LOADU
  
 LDR0646  PROBLEM  - THE CURRENT USE OF EXTENDED REPRIEVE IN
          THE LOADER (AS OF LDR0481 AND LDRA468) IS INCORRECT 
          IN THAT (1) THE 2ND *SETUP* CALL TO *RPV* IS UNNECESSARY, 
          AND (2) CALLING *ABT* IN THE REPRIEVE ROUTINE IS THE
          WRONG ACTION FOR THE CASE OF THE JOB BEING RERUN. 
          SOLUTION - THE REPRIEVE PROCESSING IS CHANGED TO
          NOT ISSUE THE 2ND *SETUP*, AND TO ISSUE A *RESET* 
          IN ALL CASES EXCEPT FOR TERMINAL INTERRUPT.  FOR THE
          TERMINAL INTERRUPT CASE, *ABT* IS CALLED. 
          ***** DEPENDENT ON LDRA468 *****
          AM     81/10/09    LOADER 
  
 *L577*    ************************************************ 
 LDRA457  PROBLEM  - THE LOADER DOES A *DISSJ* (WHICH 
          DISABLES *SSJ=* PRIVILEGES) EVEN IN THE CASE WHERE
          IT WAS ENTERED THROUGH *LOADLDR* FROM A LOCAL FILE
          COPY OF THE LOADER.  THIS MAKES IT IMPOSSIBLE TO TEST 
          THE LOADER FOR SITUATIONS WHERE *SSJ=* PRIVILEGES ARE 
          NEEDED (E.G., LOADING EXECUTE-ONLY FILES).  NOTE THAT 
          IN SUCH A SITUATION *SSJ=* WOULD NORMALLY ALREADY BE
          DISABLED, BUT THIS PROBLEM NEEDS TO BE FIXED IN ORDER 
          THAT THE LOADER MAY BE LOADED WITH *SSJ=* PRIVILEGES
          AT INDIVIDUAL SITES.
          SOLUTION - THE ENTRY POINT *LOADLDR* IN *INIT* IS CHANGED 
          SUCH THAT IF THE LOADER WAS LOADED FROM A LOCAL FILE, 
          A FLAG IS SET SO THAT NO *DISSJ* IS ISSUED. 
          ***** DEPENDENT ON LDRA454 *****
          AM     81/12/16    LOADER 
  
 LDRA487  PROBLEM  - IF A CALL TO *FDL.LDC* RESULTS IN *CMM*
          ENTERING OVERFLOW-ACTION, AND A SUBSEQUENT CALL TO *FDL.LDC*
          IS MADE WHILE IN OVERFLOW-ACTION, THE INFORMATION WHICH WAS 
          SAVED IN /FDL.COM/ FOR THE ORIGINAL CALL IS LOST.  THIS LEADS 
          TO UNPREDICTABLE RESULTS. 
          SOLUTION - THE ROUTINE *ALF* IN *FDLMMI* IS CHANGED TO
          MAINTAIN A FLAG WHICH INDICATES WHEN IN OVERFLOW MODE.
          IF IN OVERFLOW MODE, *ALF* DOES NOT SAVE /FDL.COM/. 
          ALSO, THE ENTRY POINT *FDL.ROS* IS ADDED TO *FDLMMI* SO 
          *FDL* CAN BE TOLD TO NEGATE OVERFLOW MODE.
          AM     81/12/22    FDLCOM, FDLMMI 
  
 LDRA494  PROBLEM  - ANY PROGRAM TYPES GENERATED BY THE CYBER 
          LOADER (E.G., OVERLAYS, CAPSULES, OVCAPS) WILL HAVE NO
          COMMENTS IN THE COMMENTS FIELD OF THE 77-TABLE (WORDS 7-16B). 
          SOLUTION - THE LOADER IS CHANGED TO INSERT THE COMMENTS FROM
          THE FIRST PROGRAM ENCOUNTERED FOR EACH SUCH PROGRAM TYPE
          GENERATED.
          AM     82/03/25    LOADER 
  
 LDR0542  PROBLEM  - THERE IS AN INTENTIONAL JUMP OUT OF RANGE
          IN *FDL.MMI*, WHICH IS DESCRIBED AS -IMPOSSIBLE-. 
          SINCE IT CAN AND DOES OCCUR, IT SHOULD BE UPGRADED. 
          SOLUTION - THE JUMP IS REPLACED WITH AN ERROR MESSAGE 
          WHICH SPECIFIES THE ERROR NUMBER AND WHETHER IT 
          CAME FROM *LDD* OR *LDQ*.  AFTER BEING ISSUED, THE JOB
          IS ABORTED. 
          AM     81/11/25    FDLMMI 
  
 LDR0564  PROBLEM  - IF A CAPSULE IS LOADED INTO AN OVCAP,
          ANY REFERENCES TO THE (0,0) OVERLAY FROM THE CAPSULE WILL 
          BE INCORRECTLY RELOCATED WHEN THE OVCAP GETS LOADED.
          THIS IS BECAUSE THE RELOCATION TABLE IN THE OVCAP STILL 
          HAS THE BITS SET FOR THE ADDRESS FIELDS WHICH REFERENCE 
          THE (0,0) OVERLAY.
          SOLUTION - ROUTINE *LBCREL* IN *LOADG* IS CHANGED TO
          CLEAR THE RELOCATION BITS IN SUCH FIELDS.  (NOTE
          THAT THE PRIOR LOGIC OF MERELY NOT SETTING THE BITS 
          WAS INSUFFICIENT, SINCE FOR THE CASE OF LOADING FROM A
          CAPSULE, THE RELOCATION TABLE FROM THE CAPSULE HAD
          ALREADY BEEN COPIED TO THE RELOCATION TABLE FOR THE 
          OVCAP.
          AM     82/03/18    LOADER 
  
 LDR0647  PROBLEM  - LOADS INVOLVING PROGRAMS WHICH SPECIFY *FID* 
          OR *PMD* MAY MODE OUT, DUE TO TWO (2) PROBLEMS CAUSED 
          BY *FEAT180C* --
            1) IF *DEBUG* IS NOT SPECIFIED, AND IF PROGRAMS ARE 
               LOADED IN WHICH THE DEBUGGING BIT (BIT 35) IS SET IN 
               THE *PIDL* TABLE, THE INITIAL *TFID* ENTRIES DO NOT
               GET ALLOCATED. 
            2) THERE IS A TABLE MOVE PROBLEM IN ROUTINE *PIDL*. 
          SOLUTION -
            1) THE FORMAT OF *TFID* HAS BEEN CHANGED SO THAT
               ONLY ONE (1) WORD IS USED TO INDICATE ALL OF THE 
               *TBLK* ENTRIES WHICH DO NOT HAVE A CORRESPONDING *TFID*
               ENTRY.  *CFP* IS CHANGED TO ALLOCATE IT PROPERLY.
            2) *PIDL* IS CHANGED TO NOT HOLD THE ADDRESS
               RELATIVE TO *TRLB* ACROSS THE CALL TO *CFP*. 
          ***** NOTE - REPAIRED BY LDR0762 IN LEVEL AFTER 599.
          AM     81/12/02    LOADER, LOADU
  
 LDR0654  PROBLEM  - THE ROUTINE *UCLOAD* HAS NON-STANDARD
          RELOCATION IN SOME FIELDS, AND THEREFORE CANNOT BE
          PLACED IN CAPSULES OR OVCAPS. 
          SOLUTION - THE *VFD* STATEMENTS IN QUESTION ARE CHANGED 
          SO THAT ALL OF THE ADDRESS FIELDS ARE STANDARD RELOCATION.
          AM     81/12/01    UCLOAD 
  
 LDR0658  PROBLEM  - THE GROUP-DIRECTORY CANNOT BE REMOVED FROM CORE
          EVEN IF ALL ITS RESPECTIVE CAPSULES HAVE BEEN UNLOADED. 
          THE FIXED-POSITION CMM BLOCK CONTAINING IT REMAINS IN CORE
          UNTIL THE END OF THE JOB STEP, OFTEN CAUSING SERIOUS
          MEMORY FRAGMENTATION. 
          SOLUTION - ENTRY POINTS *FDL.CGD* AND *FDL.UGD* ARE BEING 
          ADDED TO *FDL*. *FDL.CGD* MOVES ALL EXISTING GROUP
          DIRECTORIES TO THE LOWEST-POSSIBLE AREA IN MEMORY.
          *FDL.UGD* REMOVES A SPECIFIED GROUP DIRECTORY FROM CORE.
          FEY    81/11/18    FDLMMI 
  
 LDR0663  PROBLEM  - IF THE LOAD IS FROM A USER LIBRARY 
          WHICH IS AN EXECUTE-ONLY FILE, IT IS STILL POSSIBLE TO
          DUMP MEMORY AFTER EXECUTION.
          SOLUTION - ROUTINE *LLP* IS CHANGED TO SET THE
          INTERNAL EXECUTE-ONLY FLAG *XEQOF* IF THE LIBRARY 
          IS EXECUTE-ONLY.
          ***** DEPENDENT ON LDRA439 *****
          AM     81/12/14    LOADER 
  
 LDR0670  PROBLEM  - THERE IS AN ERRONEOUS COMMENT AT 
          ENTRY POINT *FDL.UOC* IN ROUTINE *FDL.OCR*.  THE LINE 
          INDICATING REGISTERS SAVED SHOULD SAY B3, INSTEAD OF X3.
          SOLUTION - THE APPROPRIATE LINE IS CHANGED. 
          AM     82/01/12    FDLOCR 
  
 LDR0694  PROBLEM  - THE MAP ROUTINE HAS AN INSTRUCTION STACK 
          PROBLEM WHICH SHOWS UP ONLY ON MODELS 855 OR GREATER. 
          SOLUTION - *ERRLINE* IN *BLOADM* IS CHANGED TO CLEAR
          THE INSTRUCTION STACK PRIOR TO EXITING. 
          AXM    82/06/10    BLOADM, LOADER, LOADU
  
 *L587*    ************************************************ 
 LDRA502  CHANGE MAP ROUTINE *LOADM* SO THE CONTENTS OF AN
          ILL-FORMATTED FILE ARE NOT PRINTED IF THE FILE IS 
          EXECUTE-ONLY. 
          AXM    82/10/14    LOADER, LOADU
  
 *L601*    ************************************************ 
 LDRA505  PROVIDE SYSTEM DEFINED DYNAMIC PAGE SIZE SUPPORT. 
          USES THE NOS *CPM* FUNCTION *GETPAGE* TO OBTAIN CURRENT 
          JOB PAGE VALUES.  NO USE IS MADE OF *PW* PARAMETER. 
          ON NOS/BE, VALUES FROM IPTEXT ARE USED. 
          DEPENDENCY=FEAT184F,LDR0634 
          ASD/RRR 82/07/11   BLOAD1, BLOAD2, BLOADC, BLOADS, BLOADM 
                             LOADER, LOADU
  
 LDRA506  BLOAD1/RSF.  CHANGE *RSF* (RETURN SYSTEM FILES) TO USE ITS
          OWN FET.  PRIOR TO THIS, A JOB DROPPED IN THE LOADING 
          PROCESS COULD HANG IF FET *L* HAD THE CURRENT FUNCTION CODE 
          SET UP (I.E., BUSY), BUT THE *CIO* REQUEST HAD NOT
          YET BEEN ISSUED.
          DEPENDENCY=F4695,LDR0474,LDR0646
          AXM    83/06/07    LOADER, LOADU
  
 LDR0745  BLOADS/MCB.  CORRECT OVERSIGHT IN LDRA329 INTRODUCED AT 
          LEVEL 498.  IF A COMMON BLOCK IN *TCOM* IS REFERENCED BY
          EXACTLY ONE PROGRAM, AND IF THE PROGRAM IS MOVABLE (SEGMENT 
          INDEX IN *TSEG* = 37777B), THEN DO NOT ATTEMPT TO LOCATE THE
          NEAREST COMMON ANCESTOR FOR THE COMMON BLOCK AND PROGRAM. 
          I.E., DO NOT PROCESS THIS COMMON BLOCK IN *MCB*. LEAVE
          PROCESSING FOR LATER. 
          DEPENDENCY=LDRA329
          AXM    83/07/29    LOADER 
  
 *L617*    ************************************************ 
 LDRA511  LOADER/CKD.  CORRECT REGRESSION CAUSED BY LDRA506.  ADD 
          RECALL ON LOAD FILE JUST BEFORE ISSUING *LDV* REQUEST TO
          LOAD *CCLWRBE*.   PREVENTS READING OF BOTH THE LOAD FILE
          AND *CCLWRBE* INTO THE FL AT THE SAME TIME. 
          DEPENDENCY=F4600LO
          AXM    83/09/28    BLOAD2, LOADER 
  
 LDRA512  FDL.OCR/FDL.LOC.  LOADER SUPPORT CODE FOR 24-BIT PRU
          ADDRESSES ON NOS V2.  MAKE CODE WHICH SETS THE FIELD
          FOR CM AND ECS ADDRESSES IN X4 FOR THE *LOADQ* CALL TO BE 
          NOS/BE CONDITIONAL. 
          DEPENDENCY=FEAT184C 
          AXM    84/02/13    FDLOCR 
  
 LDR0762  LOADER/IDE/SYM/LIN.  DO NOT STORE INTO *TFID* IF THE
          LENGTH OF *TFID* IS LESS THAN 2.  PREVIOUSLY, THE CHECK 
          WAS FOR ZERO ONLY.  PREVENTS LATER TRASHING OF TABLES 
          DUE TO IMPROPER INDEXING INTO *TFID*. 
          DEPENDENCY=FEAT180C,LDRA437,LDR0647 
          AXM    83/10/26    BLOAD2, LOADER 
  
 *L628*    ************************************************ 
 LDRA513  FOLRES/BPB.  FOR NOS, CHANGE THE FORMATTING OF THE
          PARAMETER BLOCK TO NOT INCLUDE THE PRU ADDRESS IN BITS 36-53. 
          PREVENTS GARBLING OF THE PRU ADDRESS FIELD IN BITS 18-41, NOW 
          THAT THIS FIELD IS 24 BITS LONG.
          DEPENDENCY=LDRA465
          AXM    84/05/17    FOLRES 
  
 *L642*    ************************************************ 
 LDRA517  FDLOCR/LOC.  FDL DOES NOT LOOK IN *SYSOVL* FOR A CAPSULE/ 
          OVCAP IF A (0,0) OVERLAY IS LOADED FROM NUCLEUS, BUT NO 
          LIBRARY LIST IS GIVEN.  CORRECTIVE CODE FIXES.
          APPLIES TO NOS/BE ONLY. 
          DEPENDENCY=LDRA512,FEAT184C 
          CDF    84/12/04    FDLOCR 
  
 LDRA518  USERS OF NOS/BE SYSTEMS CANNOT USE THE INTERACTIVE LOADER 
          CAPABILITY.  THIS CODE EXTENDS THE EXISTING NOS-ONLY CODE 
          SO AS TO PROVIDE THE CAPABILITY ON NOS/BE SYSTEMS IN A
          MANNER SIMILAR TO NOS.
          DEPENDENCY=LDRA430,LDR0312,LDRA440,LDRA445
          CDF/AXM  84/09/01  BLOAD1, BLOADC, LOADER 
  
 LDRA526  LOADER/SETADR.  VOID STACK IN *SETADR*.  BECAME NECESSARY 
          FOR THE 990.
          DEPENDENCY=F7540LD
          AXM    85/03/18    BLOAD2, LOADER, LOADU
  
 LDRA527  LOADREL.  INSTRUCTION STACK IS NOT GETTING VOIDED IN THE
          SELF-RELOCATION ROUTINE AT THE BEGINNING OF EXECUTION OF
          *LOADU*.  CODE IS NEEDED IN THE COMDECK *LOADREL*.
          AXM    85/04/16    LOADREL, LOADU 
  
 LDR0726  BLOADS/CMM.  WHEN GENERATING SEGMENTS OF STATIC PROGRAM 
          WHICH CALLS *CMM.KIL* TO DEACTIVATE CMM, A MODE ERROR OCCURS
          DUE TO A BAD LOAD OF *CMM.ALF*.  FIXED BY *CMM* (IN LOADS)
          NOT COUNTING *CMM.KIL* AS A ROUTINE NEEDING CMM SETUP.  THUS, 
          IF *CMM.KIL* IS THE ONLY CMM ROUTINE IN THE LOAD WHICH IS 
          NOT UNSATISFIED OR OMITTED, CMM.ALF AND CMM.SDA WILL NOT
          BE BROUGHT IN.
          AXM    84/08/15    BLOADS, LOADER 
  
 LDR0730  LOADER/IEA.  CORRECT MODE ERROR IN LOAD MAP GENERATION WHILE
          CHECKING FOR ZERO-LENGTH COMMON BLOCKS.  LDRA239 CAUSED 
          TABLE *TSCR* TO BE OVER-INDEXED.  CORRECTIVE CODE FIXES.
          DEPENDENCY=LDRA239
          AXM    84/12/27    BLOADM, LOADER, LOADU
  
 LDR0759  LOADER/CKD.  CHANGE THE SYSTEM REQUEST WHICH LOADS
          *CCLBRWE* TO INCLUDE THE FWA IN THE *LDV* HEADER.  WILL 
          RESULT IN SLIGHT INPROVEMENT IN PERFORMANCE.
          DEPENDENCY=F4600LO
          AXM    84/12/27    BLOAD2, LOADER 
  
 LDR0786  LOADG/RML.  CHANGE OVERLAY GENERATION SO THAT ECS BLOCKS
          AND ENTRY POINTS WILL BE DISCARDED PROPERLY AT OVERLAY
          INITIALIZATION TIME, AS IS DONE WITH CM BLOCKS AND
          ENTRY POINTS.  THIS PROBLEM WILL ONLY SHOW UP IF AN ECS 
          BLOCK IS INTRODUCED IN OTHER THAN THE (0,0) OVERLAY.
          DEPENDENCY=LDR0087,LDR0126
          AXM    84/09/07    BLOADG, LOADER 
  
 *L650*    ************************************************ 
 LDRA510  BLOAD1/CPL.  THE *RSS* FLAG WAS NOT BEING CHECKED PRIOR TO
          THE EXECUTION OF A SEGMENTED PROGRAM.  CORRECTIVE CODE FIXES. 
          DEPENDENCY=FEAT149A 
          DAC/AXM  85/05/17  BLOAD1, LOADER 
  
 LDRA530  LDRCNTL/LIBRARY.  REMOVE *LIBRARY* ENTRY POINT FROM NOS/BE. 
          *LIBRARY* STATEMENT IS NOW HANDLED BY PL1B ON NOS/BE.  WITH 
          THIS CHANGE IN, THE *LIBRARY* CODE WILL BE INCLUDED IN
          *LDRCNTL* ONLY FOR A BUILD OF A NOS V1 SYSTEM.
          DEPENDENCY=F5228LDC,F5228LD,LDR0051 
          CDF    85/06/08    LDRCNTL
          AXM    85/09/03 
  
 LDRA532  LOADER/RSR.  VOID STACK AFTER SETTING UP INSTRUCTIONS TO
          RESTORE ALL OF THE B-REGISTERS.  NEEDED FOR 990-TYPE CPU ONLY.
          DEPENDENCY=LDRA530
          CDF    85/08/14    BLOAD1, LOADER 
          AXM    85/09/05 
  
 LDR0502  BLOAD1/ISD.  WHEN DEBUGGING OPTION *IP.FLMSG* IS SELECTED,
          DO NOT RESET ORIGINAL CONTROL STATEMENT IN DAYFILE WHEN FATAL 
          ERROR OCCURS.  PREVENTS CONCEALING INDICATION OF FATAL ERRORS 
          WHEN LOADER RUN INTERACTIVELY.
          DEPENDENCY=FEAT139L,LDR0391 
          AXM    85/05/17    BLOAD1, LOADER 
  
 LDR0773  BLOAD2/SLD.  MODIFY THE LIBRARY SEARCH PROCESS ON NOS TO
          DISREGARD ANY PROCS WHEN SEARCHING THE *ULIB* RECORD. 
          PREVENTS THE UNNECESSARY DIAGNOSTIC "PROCDEURE DISALLOWED 
          IN RELOCATABLE LOAD". 
          DEPENDENCY=FEAT139B 
          AXM    85/05/08    BLOAD2, LOADER, LOADU
  
 LDR0849  BLOADC/MAPCARD.  ON NOS V2, A *MAP* STATEMENT WITHIN A LOAD 
          SEQUENCE CAUSES THE GLOBAL-LIBRARY-ACTIVE-FLAG IN THE CONTROL 
          POINT AREA TO BE CLEARED.  PROBLEM DOES NOT OCCUR IF THE *MAP*
          STATEMENT IS NOT WITHIN A LOAD SEQUENCE, AS IT IS THEN
          CORRECTLY PROCESSED BY *LDRCNTL*. 
          AXM    85/04/11    BLOADC, LOADER 
  
 *L670*    ************************************************ 
 LDRA536  CODE TO SUPPORT *SDM=* ENTRY POINT PROCESSING UNDER NOS/BE
          SYSTEMS.  THIS IS REQUIRED PARTNER CODE TO NOS/BE CODE
          FOR L674. 
          UNDER THE IMPLEMENTATION, WHEN 1AJ LOADS A PROGRAM, 1AJ IS
          RESPONSIBLE FOR CHECKING FOR THE SDM= ENTRY POINT AND ISSUING 
          THE DAYFILE MESSAGE (IF NOT SDM=).  WHEN THE LOADER LOADS A 
          PROGRAM (SUCH AS WHEN GLOBAL LIBRARIES ARE ACTIVE), THE 
          LOADER IS RESPONSIBLE.  CARE IS TAKEN TO ISSUE ALL MESSAGES 
          AND NO MESSAGES TWICE.
          DEPENDENCY=LDRA518,F4695,LDR0349A,F4600LD,F4600LO,LDRA454 
          DEPENDENCY=F7560EB
          CDF    86/06/24          BLOAD1, BLOAD2, BLOAD3, BLOADC,
                                   BLOADS, BLOADM, LOADER, LOADU
  
 LDR0763  LOADER/FCA.  FIX MIS-HANDLING OF LCM BLOCKS DEFINED AS
          *COMMON* DURING SEGMENTED LOADS.  SUCH A BLOCK WAS LOADED 
          INTO BOTH CM AND LCM. 
          DEPENDENCY=FEAT199A 
          AM     85/10/01    BLOADS, LOADER 
  
 LDR0774  LOADER/APS.  FIX TABLE MOVE PROBLEM IN SEGLOAD PROCESSING.
          COULD CAUSE UNPREDICTABLE RESULTS ON LARGE SEGLOAD JOBS.
          DEPENDENCY=LDR0562
          AM     85/10/01    BLOADS, LOADER 
  
 LDR0864  LOADER/RSF.  I/O SEQUENCE ERROR MAY OCCUR WHEN THE LOADER 
          RUNS OUT OF CM FL DURING LOADING FROM LIBRARIES.  OCCURS
          BECAUSE INSUFFICIENT FL IS DETECTED, AND THEN ERROR PROCESSING
          LEADS TO *RSF* TO RETURN ALL SYSTEM FILES.  THIS CAN CAUSE A
          *RETURN* TO BE ISSUED WHILE THE PREVIOUS READ ON THE FILE IS
          STILL IN PROGRESS FROM THE NORMAL LOADING PROCESS.  CODE ADDS 
          A *RECALL* REQUEST ON THE LOAD FILE TO MAKE SURE ALL IS QUIET.
          DEPENDENCY=F4695
          AM     85/11/15    BLOAD1, LOADER 
  
 LDR0868  LOADER/INIT.  RETURN *ZZZZZ17* FILE DURING INITIALIZATION OF
          INITIAL (NOT USER CALL) LOADS.  PREVENTS AN EARLIER AND 
          MEANINGLESS COPY OF *ZZZZZ17* TO BE PRESENT, SUCH AS DURING 
          A SEGMENTED LOAD. 
          DEPENDENCY=FEAT180B,LDRA506 
          AM     86/04/17    BLOAD1, BLOAD3, LOADER 
  
 LDR0869  LOADER/SLD.  IGNORE TYPE *ABS* ENTRY POINTS (AS WELL AS PROCS)
          WHEN SEARCHING FOR EXTERNALS.  DO NOT IGNORE TYPE *ABS* 
          DURING A *LIBLOAD*.  NOTE THAT CHECKING FOR TYPES *OVL* AND 
          *OVCAP* CANNOT BE ADDED UNTIL *LIBGEN* PUTS THE CORRECT CODES 
          IN THE *ULIB* RECORD.  THIS MODSET AFFECTS NOS ONLY.
          DEPENDENCY=FEAT139B,LDR0773 
          AM     86/04/17    BLOAD2, LOADER, LOADU
  
 *L688*    ************************************************ 
 LDRA546  LOADER/ALF.  PROCESSING OF PRU ADDRESS FOR RANDOM READS FROM
          LIBRARY FILE MAY FAIL IN SOME CASES IF VALUE .GT. 377777B.
          CHANGED CODE TO USE 60-BIT INSTEAD OF 18-BIT INCREMENT. 
          DEPENDENCY=LDR0526,LDR0056
          AM     87/07/01    BLOAD2, LOADER 
  
 LDR0623  PROBLEM - WHEN LOADING PROGRAMS COMPILED WITH PMD, THE MAP IS 
          PLACED ON FILE *ZZZZZMP*.  THIS CANNOT BE OVERRIDDEN WITH 
          USER-SPECIFIED *LDSET* DIRECTIVES.  BUT, SINCE A MAP IS BEING 
          WRITTEN, THE LOADER ERROR MESSAGES, IF ANY, ARE NOT PLACED IN 
          THE DAYFILE.
          SOLUTION - IMPLEMENT THE USER-SUGGESTED CODE, WHICH PUTS
          LOADER ERRORS IN BOTH THE DAYFILE AND THE MAP WHEN THE MAP IS 
          WRITTEN TO *ZZZZZMP*. 
          PSDE   87/04/07    BLOADM, LOADER, LOADU
  
 LDR0880  PROBLEM - A CPU ERROR EXIT DURING ERROR PROCESSING COULD OCCUR
          WHEN THE PROGRAM BEING LOADED HAS THE PMD/CID TABLES PRESENT, 
          AND TABLE OVERFLOW OCCURS DURING A VERY SMALL TABLE INCREASE. 
          SOLUTION - CHANGE *TOV* SO THAT IT CANNOT BE ENTERED TWO
          CONSECUTIVE TIMES.  ON 2ND CONSECUTIVE OCCURRENCE OF TABLE
          OVERFLOW, GO INSTEAD IMMEDIATELY TO LOAD MAP PROCESSING.
          AM     87/04/07    BLOAD1, LOADER 
  
 LDR0887  BLOADS/XLBC.  SEGMENT LOADS WERE NOT HANDLING *XLINK* TABLES
          CORRECTLY, CAUSING BAD SEGMENT GENERATION OF BINARIES THAT
          WERE GENERATED BY COMPILERS THAT USE *XLINK* TABLES FOR ALL 
          EXTERNAL REFERENCES (I.E., CYBIL).  CORRECTED BAD SHIFT 
          INSTRUCTION IN *XLBC* WHERE SHIFT COUNT AND BIT POSITION OF 
          ENTRIES FROM TABLE *TXLBC* WERE BEING CHECKED.
          AM     86/11/11    BLOADS, LOADER 
  
 LDR0891  PROBLEM - FOR LOCAL FILE LOADS, THE *MFL=* AND *RFL=* 
          ENTRY POINTS ARE IGNORED. 
          SOLUTION - CHANGE THE LOADER SO THAT LOCAL FILE LOADS ARE 
          TREATED THE SAME AS SYSTEM AND GLOBAL LIBRARY LOADS.
          BRH    87/04/06    BLOAD1, LOADER 
  
 *L716*    ************************************************ 
 LDRA458  PROBLEM - FOR OVERLAY GENERATION, AN *OVERLAY* DIRECTIVE
          SYNTAX ERROR WOULD GENERALLY RESULT IN AN ABORT BEING ISSUED
          EVEN IF LDSET,ERR=NONE WERE SET.  AN EXCEPTION TO THIS WAS
          FOR CASES WHERE THE ERROR WAS DETECTED BY *GNE* (E.G., IF A 
          $ WAS PRESENT, CAUSING AN UNTERMINATED LITERAL STRING).  THE
          ERR=NONE OPTION SHOULD BE HONORED IN ALL OF THESE CASES,
          BECAUSE EVEN WHEN AN ABORT IS NOT ISSUED, OVERLAY GENERATION
          IS TERMINATED WITH THE CURRENTLY OVERLAY. 
          SOLUTION - *CFA* IS MODIFIED TO PROVIDE THREE RETURN CONDIT-
          IONS INSTEAD OF THE CURRENT TWO.  THE CALLERS OF IT WILL THUS 
          HAVE AN EASIER TIME, AND, IN PARTICULAR, *OVERLAY* AND *OVCAP*
          DIRECTIVE ERRORS WILL BE HANDLED JUST LIKE OTHER FATAL ERRORS.
          DEPENDENCY=FEAT184E,F4695 
          AM     87/08/26    BLOAD1, BLOADM, LOADER 
  
 LDRA509  PROBLEM - AN ERRONEOUS LOADER COMMAND OF THE FORM LFN$P$
                    (INTENDED TO BE LFN,$P$) WILL CAUSE AN ENDLESS
                    DAYFILE LOOP IF LOCAL FILE <LFN> IS PRESENT.
          SOLUTION - CHANGE *GNE*, *CARD*, AND *CPL* SO THAT IF THE 
                     VERB OF ANY LOADER COMMAND CONTAINS $ DELIMITERS,
                     THEN THAT COMMAND WILL NOT BE PASSED BACK TO THE 
                     SYSTEM IF IT IS IN ERROR.  INSTEAD, AN ERROR WILL
                     BE ISSUED. 
          DEPENDENCY=FEAT184E,F5228LDA,LDR0634
          AM     88/01/08    BLOAD1, BLOADC, LOADER 
  
 LDRA537  PROBLEM - THE LOADING OF A SEGMENTED ABSOLUTE WITH AN EXACT 
          MULTIPLE OF 512 EXTENDED MEMORY (LCM/UEM) WORDS WILL RESULT 
          IN A CPU ERROR EXIT IN *SEGRES*.
          SOLUTION - CHANGE ROUTINE *WEI* IN *SEGRES* TO CHECK FOR A
          ZERO REMAINING WORD COUNT IN THE WRITE LOOP.
          AM     87/10/08    SEGRES 
  
 LDRA547       PROBLEM - IF A CONTROL STATEMENT ERROR IS DETECTED WHEN
          RUNNING INTERACTIVELY, A READ IS THEN ISSUED TO *INPUT*,
          CAUSING CONSIDERABLE CONFUSION TO THE USER.  THE READ FROM
          *INPUT* SHOULD BE DONE ONLY WHEN THE LOADER STATEMENTS ARE
          NOT COMING FROM AN INTERACTIVE PROCEDURE, I.E., BEING ENTERED 
          DIRECTLY FROM THE TERMINAL.  ALSO, ERRORS DETECTED BY ROUTINE 
          *ACE* ARE BEING PASSED TO THE ROUTINE *EXIT*.  THIS IS
          INCORRECT BECAUSE *EXIT* DOES NOT ABORT BECAUSE OF ALREADY
          BEING POSITIONED JUST PAST AN *EXIT* STATEMENT. 
               SOLUTION - FIRST, *ACE* IS MODIFIED TO INITIALLY DETER-
          MINE WHETHER THE JOB IS NON-INTERACTIVE (BATCH), INTERACTIVE
          WITHIN A (CCL) PROCEDURE, OR INTERACTIVE AND NOT IN A PROCED- 
          URE.  ONLY IN THE LAST OF THESE THREE CASES WILL *INPUT* BE 
          READ FOR CONTROL STATEMENTS.  THE *GETJCI* MACRO IS USED TO 
          DISTINGUISH BETWEEN THE TWO INTERACTIVE CASES.  SECONDLY, THE 
          ERROR EXITS IN *ACE* ARE CHANGED TO ISSUE A CATASTROPIC ERROR 
          "ILLEGAL LOADER CONTROL STATEMENT", WHICH WILL ABORT IN ALL 
          CASES.  NOTE THAT THIS CODE HAS NO EFFECT ON THE NOS/BE 
          VERSION OF THE LOADER.
          DEPENDENCY=LDRA430,LDR0611,LDR0530
          AM     87/09/17    BLOAD1, BLOADC, LOADER 
  
 LDRA515  PROBLEM - ON INTERACTIVE LOADS, A PERIOD (.) IS APPENDED TO 
          EVERY CONTROL STATEMENT ENTERED AT THE TERMINAL, WHETHER OR 
          NOT ONE WAS ENTERED BY THE USER.
          SOLUTION - THE CONTROL STATEMENT CRACKING CODE IN *BLOADC*
          HAS BEEN REWRITTEN SO AS TO APPEND THE PERIOD ONLY IF THE 
          STATEMENT AS ENTERED BY THE USER DOES NOT ALREADY END WITH
          EITHER A PERIOD OR A RIGHT PAREN.  THIS CODE HAS ALSO BEEN
          REWORKED SO THAT IT NO LONGER REQUIRES THE UNPACKING INTO A 
          ONE CHAR/WORD STRING BUFFER AND THEN REPACKING IN ORDER TO
          GET ITS JOB DONE.  THE RESULT IS A NET SAVING OF APPROXIMATELY
          100B CM WORDS OF CODE.
          DEPENDENCY=LDRA445,LDRA547
          AM     87/09/22    BLOADC, LOADER 
  
 LDRA548  PROBLEM - IT IS NOT POSSIBLE TO SPECIFY ADDITIONAL PROGRAM
          ENTRY POINTS IN THE (0,0) OVERLAY, UNLESS OBJECT DIRECTIVES 
          ARE PLACED IN THE RELOCATABLES PRIOR TO THE FIRST PROGRAM.
          SOLUTION - MODIFY OVERLAY GENERATION TO RECOGNIZE *LDSET,EPT* 
          WHEN PRESENT IN THE CONTROL STATEMENT STREAM.  CHANGE *SOO* 
          IN *BLOADG* TO RECOGNIZE ENTRIES IN TABLE *TCPENT* WHILE
          SETTING UP THE ORIGIN OF THE (0,0) OVERLAY, AND INCLUDE THE 
          DEFINITIONS IN THE OVERLAY HEADER.
          DEPENDENCY=FEAT139F,FEAT180C
          AM     87/05/21    BLOADG, LOADER 
  
 LDRA549  CHANGE HANDLING OF LOADER STATEMENTS ON NOS AS FOLLOWS..
  
          (1) ADD AN *SDM=* ENTRY POINT TO THE LOADER, SO THAT COMMANDS 
              ARE NO LONGER AUTOMATICALLY DAYFILED UPON FETCHING BY 
              *TCS*.  THE LOADER WILL DAYFILE ITS COMMANDS ONLY AFTER 
              DETERMINING THAT NONE OF THE FOLLOWING ARE TRUE:  
                 (A) A LOCAL FILE CONTAINING A CCL PROC WAS LOADED. 
                 (B) AN *ABS* CONTAINING AN *SDM=* ENTRY POINT WAS
                     LOADED FROM THE SYSTEM.
                 (C) THE COMMAND IS TO BE PASSED BACK TO THE SYSTEM 
                     (SUCH AS *USER*, *CHARGE*, *PFILES*, OR *PASSWOR*).
          (2) THE DIAGNOSTIC: 
                 LOAD SEQUENCE IGNORED
                 GIVING LAST CONTROL CARD BACK TO SYSTEM
              IS CHANGED TO:  
                 LOAD SEQUENCE IGNORED
                 NEXT CONTROL STATEMENT GIVEN BACK TO SYSTEM
  
          EXCEPT FOR SOME CORRECTIONS TO CONDITIONAL CODE, THE NOS/BE 
          VERSION OF THIS LOGIC, WHICH WAS INTRODUCED BY LDRA536, IS
          LEFT UNCHANGED. 
          DEPENDENCY=LDRA536,LDR0026,LDR0891,FEAT180C,LDR0349,FEAT184 
          DEPENDENCY=F4600LO,LDRA457,LDRA547,LDRA445,FEAT180,FEAT139P 
          DEPENDENCY=FEAT161
          AM     88/04/15    BLOAD1, BLOAD2, BLOAD3, BLOADC, BLOADG,
                             BLOADS, LOADER 
  
 LDR0610  PROBLEM - LOADER CONTAINS THE COMPLETE VERSIONS OF *SVR* AND
          *RSR*. THIS IS NOT NECESSARY BECAUSE THEY ARE USED ONLY BY
          *ACE* AND IN SUCH A WAY THAT ONLY A FEW OF THE REGISTER 
          CONTENTS NEED PRESERVING.  USING SHORTER VERSIONS WILL SAVE 
          APPROXIMATELY 200B CM WORDS IN THE LOADER.
          SOLUTION - REPLACE WITH SHORT VERSIONS OF ROUTINES OF THE 
          SAME NAMES (TO PRESERVE COMPATIBILITY ON NOS/BE).  THESE
          ROUTINES NEED ONLY SAVE/RESTORE A0, A5, X0, X5, AND ALL OF
          THE B-REGISTERS.
          DEPENDENCY=LDRA430,LDRA532
          AM     87/09/17    BLOAD1, BLOADC, LOADER 
  
 LDR0862  PROBLEM - SEGMENT GENERATION ABORTS ON A CPU ERROR EXIT IF
          THE SEGMENTATION STRUCTURE IS TOO LARGE FOR 400000B WORDS 
          OF MEMORY.
          SOLUTION - CHANGE ROUTINES *ESD* AND *MBD* IN *BLOADS* TO 
          CHECK THE LWA+1 OF EACH BLOCK AS IT IS ADDED TO *TBLK*, AND 
          IF GREATER THAN 377777B, ISSUE A FATAL ERROR.  FOR LCM BLOCKS,
          A MAXIMUM LWA+1 OF 7777777B IS CHECKED, WHICH IS CONSISTENT 
          WITH OTHER SEGLOAD PROCESSING.  NOTE THAT A SEGMENT WHICH IS
          VERY CLOSE TO, BUT NOT OVER THE CM LIMIT WILL PROBABLY NOT FIT
          IN MEMORY DURING EXECUTION, BUT DURING GENERATION, IT IS NOT
          KNOWN WHAT THE MAXIMUM FIELD LENGTH AT EXECUTION WILL BE. 
          DEPENDENCY=LDRA472,LDR0419
          AM     88/01/29    BLOADS, BLOADM, LOADER 
  
 LDR0883  ADD CHECKS FOR BADLY FORMATTED LINK TABLES AND ISSUE
          ERROR 340 IF DETECTED.
          AM     87/11/18    BLOAD2, LOADER, LOADU
  
 LDR0895  PROBLEM - FOR SEGMENTED LOADS, THE *SUBST* OPTION DOES NOT
          WORK WHEN ATTEMPTING TO CHANGE EXTERNAL REFERENCES THAT CAUSE 
          SEGMENT LOADING.
          SOLUTION - ADD CALLS TO *SEN* DURING SEGMENT GENERATION TO
          REPLACE SUBSTITUTED EXTERNAL REFERENCES.  CALLS ARE NEEDED IN 
          ROUTINES *FDT*, *LBC*, AND *XLBC* (ALL IN *LOADS*). 
          DEPENDENCY=FEAT149C,FEAT161 
          AM     87/05/06    BLOAD2, BLOADS, LOADER 
  
 LDR0896  PROBLEM - LDRA517 HAS A LOGIC ERROR.  IT APPLIES TO NOS/BE
          ONLY.  IT IS INTENDED TO SEARCH LIBRARY *SYSOVL* DURING AN
          OVCAP LOAD IF THE MAIN OVERLAY IS FROM NUCLEUS.  BECAUSE OF 
          THE ERROR, THE DESIRED OVCAP MAY NOT BE FOUND.
          SOLUTION - CORRECT THE ERROR USING THE SUGGESTED CODE.
          DEPENDENCY=FEAT184C,LDRA517 
          CDF    87/09/25    FDLOCR 
  
 LDR0899  PROBLEM - IN CERTAIN CASES, THE USE OF A *USEP* REQUEST WILL
          RESULT IN UNSATISFIED EXTERNALS.  THE PROBLEM OCCURS WHEN THE 
          EXTERNALS ARE NEEDED BY THE PROGRAM(S) REFERENCED BY THE
          *USEP*, AND ONLY WHEN THEY WERE NOT KNOWN PRIOR TO LOADING
          THOSE PROGRAMS.  THE PROBLEM OCCURS ONLY ON NOS, ONLY WHEN
          THE *USEP* PROGRAM(S) AND THE NEEDED EXTERNALS ARE ON THE 
          SAME LIBRARY, AND IF THE LIBRARY HAS THE XREF INFORMATION IN
          THE *ULIB* RECORD.
          SOLUTION - MODIFY THE LOGIC IN *SAT* THAT CHECKS IF TO SEARCH 
          THE SAME LIBRARY AGAIN.  IF THERE WERE ANY *USEP* PROGRAMS NOT
          YET LOADED PRIOR TO THE LAST LIBRARY SEARCH (TABLE *TUSEP*
          NON-EMPTY), THEN THE SAME LIBRARY WILL BE SEARCHED AGAIN, 
          WHEREAS PREVIOUSLY IT WAS NOT.
          DEPENDENCY=LDR0045,FEAT139B 
          AM     87/10/28    BLOAD2, LOADER, LOADU
  
 LDR0902  PROBLEM - A CAPSULE OR OVCAP LOAD REQUEST MAY ABORT WITH
          *LDQ INTERNAL ERROR 5* IF A DIFFERENT VERSION OF THE O.S. 
          HAS BEEN BROUGHT UP SINCE THE TIME WHEN THE CAPSULE/OVCAP 
          DIRECTORY WAS BUILT.  THE VERSION CHANGE CAN CAUSE THE PRU
          ADDRESSES OF THE CAPSULES/OVCAPS IN THE DIRECTORY TO BECOME 
          INVALID.
          SOLUTION - MODIFY *FDL.MMI* SO AN EXISTING GROUP DIRECTORY
          CAN BE RELOADED.  IT IS ASSUMED THAT THE GROUP DIRECTORY
          MIGHT CHANGE LENGTH (IN THE CASE WHERE CAPSULES/OVCAPS WERE 
          ADDED OR DELETED FROM THE GROUP). 
          DEPENDENCY=LDRA487,LDR0658,LDR0626,LDR0542,FEAT184C 
          AM     88/04/21    FDLCOM, FDLMMI, FDLOCR 
  
 *L739*    ************************************************ 
 LDRA550  WITH THE INTRODUCTION OF LDRA549, LOADER STATEMENTS CONTAINING
          KCL LABELS GET PASSED AS IS TO LOADER, WHEREAS PREVIOUSLY NOS 
          REMOVED THE LABEL BEFORE PASSING THE STATEMENT TO THE LOADER. 
          ADD CODE TO IGNORE KCL LABELS (1-7 CHARS BEGINNING WITH A 
          NUMBER).  ALSO ADD CODE TO IGNORE COMMENT LINES (ANY LINE WITH
          AN * IN COLUMN ONE).  AFFECTS NOS ONLY. 
          DEPENDENCY=LDRA549
          JB/AM  88/06/18    BLOADC, LOADER 
  
 LDRA552  ELIMINATE SPECIAL CASE DAYFILING OF LOCAL FILE PROCEDURE
          NAME CALLS UNDER *NOS/BE*.  THIS IS NEEDED TO PROVIDE FOR 
          SECURE PROCEDURE PARAMETERS AND ELIMINATE THE DOUBLE DAYFILE
          MESSAGES WHICH OCCUR AFTER INSTALLATION OF *CCL0597*. 
          DEPENDENCY=LDRA536,LDRA549,LDRA518
          RED/AM 89/02/13    BLOAD2, BLOADC, LOADER 
  
 LDR0871  LOADER CAN STILL INADVERTANTLY LOAD A PROGRAM OF TYPE *OVL* 
          WHEN SATISFYING EXTERNALS.  THIS IS BECAUSE, UNTIL NOW, LIBGEN
          DID NOT PUT THE RECORD TYPE INDICATOR IN THE *ULIB* RECORD FOR
          TYPES *REL*, *OVL*, OR *CAP*.  THIS CODE, ALONG WITH THE
          CONCURRENT INTRODUCTION OF PSR NS2E860, FIXES THE PROBLEM.
          THIS CODE APPLIES TO NOS ONLY (NOT TO NOS/BE).  IT CAN BE 
          INSTALLED WITHOUT NS2E860.  HOWEVER, WHEN NS2E860 IS
          INSTALLED, THIS CODE MUST BE INSTALLED. 
          DEPENDENCY=FEAT139B,LDR0773,LDR0869 
          AM     89/09/21    BLOAD2, LOADER, LOADU
  
 LDR0908  CORRECT THE DEFINITION OF THE *GETPAGE* MACRO FOR NOS/BE. 
          UNTIL THE PRINT DENSITY AND PAGE SIZE SELECTION FEATURE WAS 
          ADDED TO NOS/BE AT LEVEL 650, THE *GETPAGE* MACRO HAD A DUMMY 
          DEFINITION.  USE A LOCAL DEFINITION THAT WILL WORK WITH THE 
          SELF-RELOCATION MACROS OF *LOADU*.
          THIS CODE AFFECTS NOS/BE ONLY.
          DEPENDENCY=LDRA505
          AM     88/06/30    BLOAD1, BLOADM, BLOADS, LOADER, LOADU
  
 LDR0910  LOADER/LOADS.  DO NOT ISSUE ERROR 4420 FOR THE LOCAL SAVE 
          BLOCK S$A$V$E.
          AM     88/10/06    BLOADS, LOADER 
  
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
  
